#ifndef _impldef_server_h_
#define _impldef_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_string
#define _typedef___CORBA_sequence_string
typedef struct CORBA_sequence_string {
  unsigned long int _length;
  char **_buffer;
} CORBA_sequence_string;
#endif /* _typedef___CORBA_sequence_string */

#ifndef _typedef___CORBA_StringSequence
#define _typedef___CORBA_StringSequence
typedef struct CORBA_sequence_string CORBA_StringSequence;
#endif /* _typedef___CORBA_StringSequence */

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data);

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data);

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  u_int8_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___CORBA_OctetSequence
#define _typedef___CORBA_OctetSequence
typedef struct CORBA_sequence_integer CORBA_OctetSequence;
#endif /* _typedef___CORBA_OctetSequence */

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data);

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data);


#ifndef _typedef___CORBA_LongSequence
#define _typedef___CORBA_LongSequence
typedef struct CORBA_sequence_integer CORBA_LongSequence;
#endif /* _typedef___CORBA_LongSequence */

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data);

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data);

#ifndef _typedef___CORBA_ReferenceData
#define _typedef___CORBA_ReferenceData
typedef CORBA_OctetSequence CORBA_ReferenceData;
#endif /* _typedef___CORBA_ReferenceData */

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data);

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data);

#ifndef _typedef___CORBA_ReferenceString
#define _typedef___CORBA_ReferenceString
typedef CORBA_StringSequence CORBA_ReferenceString;
#endif /* _typedef___CORBA_ReferenceString */

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data);

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data);

#ifndef _typedef___CORBA_ReferenceLong
#define _typedef___CORBA_ReferenceLong
typedef CORBA_LongSequence CORBA_ReferenceLong;
#endif /* _typedef___CORBA_ReferenceLong */

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data);

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data);

#include <fluke/CORBA.h>

#ifndef _typedef___CORBA_ImplementationDef
#define _typedef___CORBA_ImplementationDef
typedef struct CORBA_ImplementationDef_struct CORBA_ImplementationDef;
#endif /* _typedef___CORBA_ImplementationDef */

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data);

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data);

mom_dispatch_action_t CORBA_ImplementationDef_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

char *CORBA_ImplementationDef_server__get_interface_name(CORBA_ImplementationDef *_obj, mom_exc_t *_ev);

void CORBA_ImplementationDef_server__set_interface_name(CORBA_ImplementationDef *_obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_ImplementationDef_server__get_object_name(CORBA_ImplementationDef *_obj, mom_exc_t *_ev);

void CORBA_ImplementationDef_server__set_object_name(CORBA_ImplementationDef *_obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_ImplementationDef_server__get_id(CORBA_ImplementationDef *_obj, mom_exc_t *_ev);

void CORBA_ImplementationDef_server__set_id(CORBA_ImplementationDef *_obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

#ifndef _typedef___CORBA_Policy
#define _typedef___CORBA_Policy
typedef unsigned long int CORBA_Policy;
#endif /* _typedef___CORBA_Policy */

void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data);

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data);

#define CORBA_SHARED_SERVER (0)

#define CORBA_UNSHARED_SERVER (1)

#define CORBA_SERVER_PER_METHOD (2)

#ifndef _typedef___CORBA_CreationImplDef
#define _typedef___CORBA_CreationImplDef
typedef struct CORBA_CreationImplDef_struct CORBA_CreationImplDef;
#endif /* _typedef___CORBA_CreationImplDef */

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data);

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data);

mom_dispatch_action_t CORBA_CreationImplDef_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

char *CORBA_CreationImplDef_server__get_path_name(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_path_name(CORBA_CreationImplDef *_obj, const char *path_name, mom_exc_t *_ev);

CORBA_Policy CORBA_CreationImplDef_server__get_activation_policy(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_activation_policy(CORBA_CreationImplDef *_obj, CORBA_Policy activation_policy, mom_exc_t *_ev);

CORBA_StringSequence *CORBA_CreationImplDef_server__get_args(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_args(CORBA_CreationImplDef *_obj, const CORBA_StringSequence *args, mom_exc_t *_ev);

CORBA_StringSequence *CORBA_CreationImplDef_server__get_env(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_env(CORBA_CreationImplDef *_obj, const CORBA_StringSequence *env, mom_exc_t *_ev);

char *CORBA_CreationImplDef_server__get_interface_name(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_interface_name(CORBA_CreationImplDef *_obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_CreationImplDef_server__get_object_name(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_object_name(CORBA_CreationImplDef *_obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_CreationImplDef_server__get_id(CORBA_CreationImplDef *_obj, mom_exc_t *_ev);

void CORBA_CreationImplDef_server__set_id(CORBA_CreationImplDef *_obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

#ifndef _typedef___CORBA_Activator
#define _typedef___CORBA_Activator
typedef struct CORBA_Activator_struct CORBA_Activator;
#endif /* _typedef___CORBA_Activator */

void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data);

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data);

mom_dispatch_action_t CORBA_Activator_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

mom_ref_t CORBA_Activator_server_activate(CORBA_Activator *_obj, const mom_ref_t impl, mom_exc_t *_ev);

void CORBA_Activator_server_deactivate(CORBA_Activator *_obj, const mom_ref_t obj, const mom_ref_t impl, mom_exc_t *_ev);

#ifndef _typedef___CORBA_ActivationImplDef
#define _typedef___CORBA_ActivationImplDef
typedef struct CORBA_ActivationImplDef_struct CORBA_ActivationImplDef;
#endif /* _typedef___CORBA_ActivationImplDef */

void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data);

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data);

mom_dispatch_action_t CORBA_ActivationImplDef_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

mom_ref_t CORBA_ActivationImplDef_server__get_activator_obj(CORBA_ActivationImplDef *_obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef_server__set_activator_obj(CORBA_ActivationImplDef *_obj, const mom_ref_t activator_obj, mom_exc_t *_ev);

char *CORBA_ActivationImplDef_server__get_interface_name(CORBA_ActivationImplDef *_obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef_server__set_interface_name(CORBA_ActivationImplDef *_obj, const char *interface_name, mom_exc_t *_ev);

char *CORBA_ActivationImplDef_server__get_object_name(CORBA_ActivationImplDef *_obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef_server__set_object_name(CORBA_ActivationImplDef *_obj, const char *object_name, mom_exc_t *_ev);

CORBA_ReferenceData *CORBA_ActivationImplDef_server__get_id(CORBA_ActivationImplDef *_obj, mom_exc_t *_ev);

void CORBA_ActivationImplDef_server__set_id(CORBA_ActivationImplDef *_obj, const CORBA_ReferenceData *id, mom_exc_t *_ev);

#endif /* _impldef_server_h_ */
