#include "optional-2-server.h"

void flick_marshal_stub_foo_opt(flick_marshal_stream_t _stream, const foo_opt *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_array_len);
  flick_fluke_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_fluke_encode_unsigned32(4, _t2_array_len);
      flick_fluke_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_fluke_encode_end_glob(12);
          flick_marshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          flick_fluke_encode_end_glob(12);
        }
    }
  else
    {
      flick_fluke_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_foo_opt(flick_marshal_stream_t _stream, foo_opt *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t3_array_len);
  flick_fluke_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct foo ));
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(0, (*_data)->value);
      flick_fluke_decode_unsigned32(4, _t5_array_len);
      flick_fluke_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct foo ));
          flick_fluke_decode_end_glob(12);
          flick_unmarshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_fluke_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_fluke_decode_end_glob(12);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_fluke_encode_unsigned32(4, _t6_array_len);
  flick_fluke_encode_end_chunk(8);
  if (_t6_array_len)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->next->value);
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(12);
      flick_marshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      flick_fluke_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->value);
  flick_fluke_decode_unsigned32(4, _t7_array_len);
  flick_fluke_decode_end_chunk(8);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct foo ));
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->next->value);
      flick_fluke_decode_end_chunk(4);
      flick_fluke_decode_end_glob(12);
      flick_unmarshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_fluke_decode_end_glob(12);
    }
}

void flick_marshal_stub_foo_array(flick_marshal_stream_t _stream, const foo_array *_data)
{
  unsigned long int _t11_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->foo_array_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t11_array_iter = 0; _t11_array_iter < _data->foo_array_len; _t11_array_iter++)
    {
      flick_unsigned8_t _t13_array_len;

      flick_fluke_encode_new_glob(8);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, _data->foo_array_val[_t11_array_iter].value);
      _t13_array_len = _data->foo_array_val[_t11_array_iter].next != 0;
      flick_fluke_encode_unsigned32(4, _t13_array_len);
      flick_fluke_encode_end_chunk(8);
      if (_t13_array_len)
        {
          flick_fluke_encode_end_glob(8);
          flick_marshal_stub_foo(_stream, _data->foo_array_val[_t11_array_iter].next);
        }
      else
        {
          flick_fluke_encode_end_glob(8);
        }
    }
}

void flick_unmarshal_stub_foo_array(flick_marshal_stream_t _stream, foo_array *_data)
{
  unsigned long int _t17_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->foo_array_len);
  _data->foo_array_val = sun_flick_alloc(_data->foo_array_len * sizeof(struct foo ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->foo_array_len; _t17_array_iter++)
    {
      flick_unsigned8_t _t19_array_len;

      flick_fluke_decode_new_glob(8);
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(0, _data->foo_array_val[_t17_array_iter].value);
      flick_fluke_decode_unsigned32(4, _t19_array_len);
      flick_fluke_decode_end_chunk(8);
      if (_t19_array_len)
        {
          _data->foo_array_val[_t17_array_iter].next = sun_flick_alloc(_t19_array_len * sizeof(struct foo ));
          flick_fluke_decode_end_glob(8);
          flick_unmarshal_stub_foo(_stream, _data->foo_array_val[_t17_array_iter].next);
        }
      else
        {
          _data->foo_array_val[_t17_array_iter].next = 0;
          flick_fluke_decode_end_glob(8);
        }
    }
}

void flick_marshal_stub_foo_union(flick_marshal_stream_t _stream, const struct foo_union *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->present);
  flick_fluke_encode_end_chunk(4);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t21_array_len;

        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_signed32(0, _data->foo_union_u.element.value);
        _t21_array_len = _data->foo_union_u.element.next != 0;
        flick_fluke_encode_unsigned32(4, _t21_array_len);
        flick_fluke_encode_end_chunk(8);
        if (_t21_array_len)
          {
            flick_fluke_encode_end_glob(12);
            flick_marshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            flick_fluke_encode_end_glob(12);
          }
        break;
      }
    default:
      {
        flick_fluke_encode_end_glob(12);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_union(flick_marshal_stream_t _stream, struct foo_union *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->present);
  flick_fluke_decode_end_chunk(4);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t23_array_len;

        flick_fluke_decode_new_chunk(8);
        flick_fluke_decode_signed32(0, _data->foo_union_u.element.value);
        flick_fluke_decode_unsigned32(4, _t23_array_len);
        flick_fluke_decode_end_chunk(8);
        if (_t23_array_len)
          {
            _data->foo_union_u.element.next = sun_flick_alloc(_t23_array_len * sizeof(struct foo ));
            flick_fluke_decode_end_glob(12);
            flick_unmarshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            _data->foo_union_u.element.next = 0;
            flick_fluke_decode_end_glob(12);
          }
        break;
      }
    default:
      {
        flick_fluke_decode_end_glob(12);
        break;
      }
    }
}

void flick_marshal_stub_mimsy(flick_marshal_stream_t _stream, const struct mimsy *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;
  unsigned long int _t31_array_iter;
  unsigned long int _t33_array_iter;

  _t24_array_length = 100;
  flick_fluke_encode_new_glob(100);
#if 0
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->fixed[_t26_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->fixed, sizeof(char) * _t24_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(100);
  flick_fluke_encode_string(_data->var, null_flick_free, fluke, 100);
  _t27_array_length = 100;
  flick_fluke_encode_new_glob(808);
#if 0
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->fixed_int[_t29_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->fixed_int, sizeof(long) * _t27_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->var_int.var_int_len);
  flick_fluke_encode_end_chunk(4);
#if 0
  for (_t31_array_iter = 0; _t31_array_iter < _data->var_int.var_int_len; _t31_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->var_int.var_int_val[_t31_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->var_int.var_int_val, sizeof(long) * _data->var_int.var_int_len, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->unb_int.unb_int_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(808);
  flick_fluke_encode_new_glob(4 * _data->unb_int.unb_int_len);
#if 0
  for (_t33_array_iter = 0; _t33_array_iter < _data->unb_int.unb_int_len; _t33_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->unb_int.unb_int_val[_t33_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->unb_int.unb_int_val, sizeof(long) * _data->unb_int.unb_int_len, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(4 * _data->unb_int.unb_int_len);
}

void flick_unmarshal_stub_mimsy(flick_marshal_stream_t _stream, struct mimsy *_data)
{
  flick_unsigned8_t _t34_array_length;
  flick_unsigned8_t _t36_array_iter;
  flick_unsigned8_t _t37_array_length;
  flick_unsigned8_t _t39_array_iter;
  unsigned long int _t41_array_iter;
  unsigned long int _t43_array_iter;

  _t34_array_length = 100;
  flick_fluke_decode_new_glob(100);
#if 0
  for (_t36_array_iter = 0; _t36_array_iter < _t34_array_length; _t36_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->fixed[_t36_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->fixed, sizeof(char) * _t34_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(100);
  flick_fluke_decode_string(_data->var, sun_flick_alloc, fluke, 100);
  _t37_array_length = 100;
  flick_fluke_decode_new_glob(808);
#if 0
  for (_t39_array_iter = 0; _t39_array_iter < _t37_array_length; _t39_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->fixed_int[_t39_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->fixed_int, sizeof(long) * _t37_array_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->var_int.var_int_len);
  _data->var_int.var_int_val = sun_flick_alloc(_data->var_int.var_int_len * sizeof(int ));
  flick_fluke_decode_end_chunk(4);
#if 0
  for (_t41_array_iter = 0; _t41_array_iter < _data->var_int.var_int_len; _t41_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->var_int.var_int_val[_t41_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->var_int.var_int_val, sizeof(long) * _data->var_int.var_int_len, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->unb_int.unb_int_len);
  _data->unb_int.unb_int_val = sun_flick_alloc(_data->unb_int.unb_int_len * sizeof(int ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(808);
  flick_fluke_decode_new_glob(4 * _data->unb_int.unb_int_len);
#if 0
  for (_t43_array_iter = 0; _t43_array_iter < _data->unb_int.unb_int_len; _t43_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->unb_int.unb_int_val[_t43_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->unb_int.unb_int_val, sizeof(long) * _data->unb_int.unb_int_len, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(4 * _data->unb_int.unb_int_len);
}

