#include "program-4-server.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_signed16(2, _data->b);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_signed16(2, _data->b);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_signed32(4, _data->b);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_signed32(4, _data->b);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->long_list_len);
  flick_fluke_encode_end_chunk(4);
#if 0
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_fluke_decode_end_chunk(4);
#if 0
  for (_t3_array_iter = 0; _t3_array_iter < _data->long_list_len; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->long_list_val[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(44);
}

mom_dispatch_action_t math_1(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t17_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t17_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t17_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t18_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t18_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t19_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t19_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t20_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t20_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t21_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t21_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t22_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t22_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t23_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t23_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            long_list _t24_storage;
            unsigned long int _t26_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t24_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_fluke_decode_end_chunk(4);
#if 0
            for (_t26_array_iter = 0; _t26_array_iter < _local_arg->long_list_len; _t26_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_arg->long_list_val[_t26_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_bcopy(_local_arg->long_list_val, sizeof(long) * _local_arg->long_list_len, fluke);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            long_list _t27_storage;
            unsigned long int _t29_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t27_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_fluke_decode_end_chunk(4);
#if 0
            for (_t29_array_iter = 0; _t29_array_iter < _local_arg->long_list_len; _t29_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_arg->long_list_val[_t29_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
#else /* Use `memcpy'. */
            flick_fluke_decode_bcopy(_local_arg->long_list_val, sizeof(long) * _local_arg->long_list_len, fluke);
#endif /* `memcpy' */
            flick_fluke_decode_end_glob(48);
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
