#ifndef _server_client_h_
#define _server_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#include <fluke/flick.h>

int32_t Server_SetSize(mom_ref_t _obj, int32_t width, int32_t height, mom_exc_t *_ev);

int32_t Server_AddWall(mom_ref_t _obj, int32_t startx, int32_t starty, int32_t endx, int32_t endy, mom_exc_t *_ev);

int32_t Server_DelWall(mom_ref_t _obj, int32_t startx, int32_t starty, int32_t endx, int32_t endy, mom_exc_t *_ev);

int32_t Server_AddRect(mom_ref_t _obj, int32_t left, int32_t top, int32_t right, int32_t bottom, int32_t color, mom_exc_t *_ev);

int32_t Server_DelRect(mom_ref_t _obj, int32_t left, int32_t top, int32_t right, int32_t bottom, mom_exc_t *_ev);

int32_t Server_SetTurtle(mom_ref_t _obj, int32_t x, int32_t y, int32_t angle, mom_exc_t *_ev);

int32_t Server_GetTurtle(mom_ref_t _obj, int32_t *x, int32_t *y, int32_t *angle, mom_exc_t *_ev);

#endif /* _server_client_h_ */
