#include "test1-server.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->case_num);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->case_num);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_fluke_encode_longstring(_data->name, mom_flick_free, fluke);
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->value);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_fluke_decode_longstring(_data->name, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->value);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
}

mom_dispatch_action_t test1_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t34_switch_tag;

    flick_fluke_decode_new_glob(24);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t34_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t34_switch_tag)
      {
      case req_test1_test_void:
        {
          {
            test1 *_obj;
            mom_exc_t *_ev;
            mom_exc_t _t35_storage;

            _obj = (test1 *)_dispatch_obj;
            _ev = &_t35_storage;
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            test1_server_test_void(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_short:
        {
          {
            test1 *_obj;
            int16_t _local_a1;
            int16_t *_local_a2;
            int16_t *_local_a3;
            mom_exc_t *_ev;
            int16_t _return;
            int16_t _t36_storage;
            mom_exc_t _t37_storage;
            int16_t _t38_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t36_storage;
            _ev = &_t37_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a1);
            _local_a3 = &_t38_storage;
            flick_fluke_decode_signed16(2, *_local_a3);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_signed16(0, *_local_a2);
                  flick_fluke_encode_signed16(2, *_local_a3);
                  flick_fluke_encode_signed16(4, _return);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_long:
        {
          {
            test1 *_obj;
            int32_t _local_a1;
            int32_t *_local_a2;
            int32_t *_local_a3;
            mom_exc_t *_ev;
            int32_t _return;
            int32_t _t39_storage;
            mom_exc_t _t40_storage;
            int32_t _t41_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t39_storage;
            _ev = &_t40_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a1);
            _local_a3 = &_t41_storage;
            flick_fluke_decode_signed32(4, *_local_a3);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_signed32(0, *_local_a2);
                  flick_fluke_encode_signed32(4, *_local_a3);
                  flick_fluke_encode_signed32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_ushort:
        {
          {
            test1 *_obj;
            test1_ushort _local_a1;
            test1_ushort *_local_a2;
            test1_ushort *_local_a3;
            mom_exc_t *_ev;
            test1_ushort _return;
            test1_ushort _t42_storage;
            mom_exc_t _t43_storage;
            test1_ushort _t44_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t42_storage;
            _ev = &_t43_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned16(0, _local_a1);
            _local_a3 = &_t44_storage;
            flick_fluke_decode_unsigned16(2, *_local_a3);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(10);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(6);
                  flick_fluke_encode_unsigned16(0, *_local_a2);
                  flick_fluke_encode_unsigned16(2, *_local_a3);
                  flick_fluke_encode_unsigned16(4, _return);
                  flick_fluke_encode_end_chunk(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(10);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_ulong:
        {
          {
            test1 *_obj;
            test1_ulong _local_a1;
            test1_ulong *_local_a2;
            test1_ulong *_local_a3;
            mom_exc_t *_ev;
            test1_ulong _return;
            test1_ulong _t45_storage;
            mom_exc_t _t46_storage;
            test1_ulong _t47_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t45_storage;
            _ev = &_t46_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a1);
            _local_a3 = &_t47_storage;
            flick_fluke_decode_unsigned32(4, *_local_a3);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, *_local_a2);
                  flick_fluke_encode_unsigned32(4, *_local_a3);
                  flick_fluke_encode_unsigned32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_float:
        {
          {
            test1 *_obj;
            float _local_a1;
            float *_local_a2;
            float *_local_a3;
            mom_exc_t *_ev;
            float _return = 0.000000;
            float _t48_storage;
            mom_exc_t _t49_storage;
            float _t50_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t48_storage;
            _ev = &_t49_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_float32(0, _local_a1);
            _local_a3 = &_t50_storage;
            flick_fluke_decode_float32(4, *_local_a3);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_float32(0, *_local_a2);
                  flick_fluke_encode_float32(4, *_local_a3);
                  flick_fluke_encode_float32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_double:
        {
          {
            test1 *_obj;
            double _local_a1;
            double *_local_a2;
            double *_local_a3;
            mom_exc_t *_ev;
            double _return = 0.000000;
            double _t51_storage;
            mom_exc_t _t52_storage;
            double _t53_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t51_storage;
            _ev = &_t52_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(20);
            flick_fluke_decode_float64(4, _local_a1);
            _local_a3 = &_t53_storage;
            flick_fluke_decode_float64(12, *_local_a3);
            flick_fluke_decode_end_chunk(20);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(32);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(28);
                  flick_fluke_encode_float64(4, *_local_a2);
                  flick_fluke_encode_float64(12, *_local_a3);
                  flick_fluke_encode_float64(20, _return);
                  flick_fluke_encode_end_chunk(28);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(32);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_boolean:
        {
          {
            test1 *_obj;
            int _local_a1;
            int *_local_a2;
            int *_local_a3;
            mom_exc_t *_ev;
            int _return = 0;
            int _t54_storage;
            mom_exc_t _t55_storage;
            int _t56_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t54_storage;
            _ev = &_t55_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a1);
            _local_a3 = &_t56_storage;
            flick_fluke_decode_unsigned8(1, *_local_a3);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, *_local_a2);
                  flick_fluke_encode_unsigned8(1, *_local_a3);
                  flick_fluke_encode_unsigned8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_char:
        {
          {
            test1 *_obj;
            char _local_a1;
            char *_local_a2;
            char *_local_a3;
            mom_exc_t *_ev;
            char _return = 0;
            char _t57_storage;
            mom_exc_t _t58_storage;
            char _t59_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t57_storage;
            _ev = &_t58_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_char8(0, _local_a1);
            _local_a3 = &_t59_storage;
            flick_fluke_decode_char8(1, *_local_a3);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_char8(0, *_local_a2);
                  flick_fluke_encode_char8(1, *_local_a3);
                  flick_fluke_encode_char8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_octet:
        {
          {
            test1 *_obj;
            u_int8_t _local_a1;
            u_int8_t *_local_a2;
            u_int8_t *_local_a3;
            mom_exc_t *_ev;
            u_int8_t _return;
            u_int8_t _t60_storage;
            mom_exc_t _t61_storage;
            u_int8_t _t62_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t60_storage;
            _ev = &_t61_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a1);
            _local_a3 = &_t62_storage;
            flick_fluke_decode_unsigned8(1, *_local_a3);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            _return = test1_server_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(7);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(3);
                  flick_fluke_encode_unsigned8(0, *_local_a2);
                  flick_fluke_encode_unsigned8(1, *_local_a3);
                  flick_fluke_encode_unsigned8(2, _return);
                  flick_fluke_encode_end_chunk(3);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(7);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_string:
        {
          {
            test1 *_obj;
            char *_local_a1;
            char **_local_a2;
            char **_local_a3;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t63_storage;
            mom_exc_t _t64_storage;
            char *_t65_storage;

            _obj = (test1 *)_dispatch_obj;
            _local_a2 = &_t63_storage;
            _ev = &_t64_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(24);
            flick_fluke_decode_auto_string(_local_a1, auto_flick_alloc, fluke);
            _local_a3 = &_t65_storage;
            flick_fluke_decode_longstring(*_local_a3, mom_flick_alloc, fluke);
            flick_mom_init_environment();
            _return = test1_server_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(*_local_a2, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_a3, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_test_throw:
        {
          {
            test1 *_obj;
            int32_t _local_case_num;
            mom_exc_t *_ev;
            mom_exc_t _t66_storage;

            _obj = (test1 *)_dispatch_obj;
            _ev = &_t66_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_case_num);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            test1_server_test_throw(_obj, _local_case_num, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_test1_x1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                        mom_flick_free((test1_x1 *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        flick_fluke_encode_end_glob(8);
                        break;
                      }
                    case exc_test1_x2:
                      {
                        flick_fluke_encode_end_glob(8);
                        flick_fluke_encode_longstring(((test1_x2 *)(_ev->_except))->name, mom_flick_free, fluke);
                        flick_fluke_encode_new_glob(4);
                        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                        flick_fluke_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                        mom_flick_free((test1_x2 *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        flick_fluke_encode_end_glob(4);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        flick_fluke_encode_end_glob(8);
                        break;
                      }
                    }
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test1_please_exit:
        {
          {
            test1 *_obj;
            mom_exc_t *_ev;
            mom_exc_t _t67_storage;

            _obj = (test1 *)_dispatch_obj;
            _ev = &_t67_storage;
            flick_fluke_decode_end_glob(24);
            flick_mom_init_environment();
            test1_server_please_exit(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(24);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
