#include "unionplain_-server.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(2);
        flick_fluke_encode_signed16(0, _data->_u.y);
        flick_fluke_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(2);
        flick_fluke_decode_signed16(0, _data->_u.y);
        flick_fluke_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->_d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(3);
        flick_fluke_encode_signed16(1, _data->_u.y);
        flick_fluke_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->_d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(3);
        flick_fluke_decode_signed16(1, _data->_u.y);
        flick_fluke_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->_d);
  flick_fluke_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_fluke_encode_new_chunk(2);
        flick_fluke_encode_signed16(0, _data->_u.a);
        flick_fluke_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_fluke_encode_new_chunk(6);
        flick_fluke_encode_signed32(2, _data->_u.b);
        flick_fluke_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.c);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->_d);
  flick_fluke_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_fluke_decode_new_chunk(2);
        flick_fluke_decode_signed16(0, _data->_u.a);
        flick_fluke_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_fluke_decode_new_chunk(6);
        flick_fluke_decode_signed32(2, _data->_u.b);
        flick_fluke_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.c);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_fluke_encode_new_glob(48);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(48);
        flick_fluke_encode_longstring(_data->_u.a, mom_flick_free, fluke);
        break;
      }
    case 2:
      {
        unsigned long int _t3_array_iter;

        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_unsigned32(0, _data->_u.b._length);
        flick_fluke_encode_end_chunk(4);
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _data->_u.b._buffer[_t3_array_iter]);
            flick_fluke_encode_end_chunk(4);
          }
        mom_flick_free(_data->_u.b._buffer);
        flick_fluke_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.c);
        flick_fluke_encode_end_chunk(4);
        flick_fluke_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_fluke_decode_new_glob(48);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(48);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    case 2:
      {
        unsigned long int _t7_array_iter;

        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._buffer = mom_flick_alloc(_data->_u.b._length * sizeof(int32_t ));
        flick_fluke_decode_end_chunk(4);
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter]);
            flick_fluke_decode_end_chunk(4);
          }
        flick_fluke_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.c);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
}

mom_dispatch_action_t un_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t17_switch_tag;

    flick_fluke_decode_new_glob(52);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t17_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t17_switch_tag)
      {
      case req_un_one:
        {
          {
            un *_obj;
            struct Foo2 *_local_a;
            mom_exc_t *_ev;
            struct Foo _return;
            mom_exc_t _t18_storage;
            struct Foo2 _t19_storage;

            _obj = (un *)_dispatch_obj;
            _ev = &_t18_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t19_storage;
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_a->_d);
            flick_fluke_decode_end_chunk(1);
            switch (_local_a->_d)
              {
              case 'a':
                {
                  flick_fluke_decode_new_chunk(7);
                  flick_fluke_decode_signed32(3, _local_a->_u.x);
                  flick_fluke_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_fluke_decode_new_chunk(3);
                  flick_fluke_decode_signed16(1, _local_a->_u.y);
                  flick_fluke_decode_end_chunk(3);
                  break;
                }
              case 'c':
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              default:
                {
                  flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                  break;
                }
              }
            flick_fluke_decode_end_glob(52);
            flick_mom_init_environment();
            _return = un_server_one(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return._d);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return._d)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _return._u.x);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_fluke_encode_new_chunk(2);
                        flick_fluke_encode_signed16(0, _return._u.y);
                        flick_fluke_encode_end_chunk(2);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return._u.z);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_un_two:
        {
          {
            un *_obj;
            struct Foo4 *_local_a;
            mom_exc_t *_ev;
            struct Foo3 _return;
            mom_exc_t _t20_storage;
            struct Foo4 _t21_storage;

            _obj = (un *)_dispatch_obj;
            _ev = &_t20_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t21_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d);
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_decode_end_glob(52);
                  flick_fluke_decode_auto_string(_local_a->_u.a, auto_flick_alloc, fluke);
                  break;
                }
              case 2:
                {
                  unsigned long int _t25_array_iter;

                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _local_a->_u.b._length);
                  _local_a->_u.b._buffer = auto_flick_alloc(_local_a->_u.b._length * sizeof(int32_t ));
                  flick_fluke_decode_end_chunk(4);
                  for (_t25_array_iter = 0; _t25_array_iter < _local_a->_u.b._length; _t25_array_iter++)
                    {
                      flick_fluke_decode_new_chunk(4);
                      flick_fluke_decode_signed32(0, _local_a->_u.b._buffer[_t25_array_iter]);
                      flick_fluke_decode_end_chunk(4);
                    }
                  flick_fluke_decode_end_glob(52);
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_a->_u.c);
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(52);
                  break;
                }
              }
            flick_mom_init_environment();
            _return = un_server_two(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return._d);
                  flick_fluke_encode_end_chunk(2);
                  switch (_return._d)
                    {
                    case -1:
                      {
                        flick_fluke_encode_new_chunk(2);
                        flick_fluke_encode_signed16(0, _return._u.a);
                        flick_fluke_encode_end_chunk(2);
                        break;
                      }
                    case 50:
                      {
                        flick_fluke_encode_new_chunk(6);
                        flick_fluke_encode_signed32(2, _return._u.b);
                        flick_fluke_encode_end_chunk(6);
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return._u.c);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(52);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
