#include "optional-1-client.h"

void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_array_len);
  flick_iiop_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, **_data);
      flick_iiop_encode_end_chunk(4);
    }
  else
    {
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, **_data);
      flick_iiop_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_opt_int_swap(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t2_array_len;

  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t2_array_len)
    {
      *_data = sun_flick_alloc(_t2_array_len * sizeof(int ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, **_data);
      flick_iiop_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_iiop_decode_end_glob(8);
}

