#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(24);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(24);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(24);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(24);
}

void flick_unmarshal_stub_c20_swap(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(24);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(24);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t17_array_iter;

  flick_iiop_encode_new_glob(556);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      unsigned long int _t21_array_iter;

      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t17_array_iter]._length);
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t21_array_iter = 0; _t21_array_iter < _data->_buffer[_t17_array_iter]._length; _t21_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, _data->_buffer[_t17_array_iter]._buffer[_t21_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t17_array_iter]._buffer, sizeof(char) * _data->_buffer[_t17_array_iter]._length, iiop);
#endif /* alway bcopy */
    }
  flick_iiop_encode_end_glob(556);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t27_array_iter;

  flick_iiop_decode_new_glob(556);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_iiop_decode_end_chunk(4);
  for (_t27_array_iter = 0; _t27_array_iter < _data->_length; _t27_array_iter++)
    {
      unsigned long int _t31_array_iter;

      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t27_array_iter]._length);
      _data->_buffer[_t27_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t27_array_iter]._length * sizeof(CORBA_char ));
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t31_array_iter = 0; _t31_array_iter < _data->_buffer[_t27_array_iter]._length; _t31_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _data->_buffer[_t27_array_iter]._buffer[_t31_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t27_array_iter]._buffer, sizeof(char) * _data->_buffer[_t27_array_iter]._length, iiop);
#endif
    }
  flick_iiop_decode_end_glob(556);
}

void flick_unmarshal_stub_cc23_swap(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t37_array_iter;

  flick_iiop_decode_new_glob(556);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_iiop_decode_end_chunk(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      _data->_buffer[_t37_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t37_array_iter]._length * sizeof(CORBA_char ));
      flick_iiop_decode_end_chunk(4);
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
    }
  flick_iiop_decode_end_glob(556);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t43_array_iter;

  flick_iiop_encode_new_glob(28);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t43_array_iter = 0; _t43_array_iter < _data->_length; _t43_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->_buffer[_t43_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(28);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t45_array_iter;

  flick_iiop_decode_new_glob(28);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t45_array_iter = 0; _t45_array_iter < _data->_length; _t45_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->_buffer[_t45_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(28);
}

void flick_unmarshal_stub_c24_swap(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t47_array_iter;

  flick_iiop_decode_new_glob(28);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_iiop_decode_end_chunk(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->_buffer[_t47_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(28);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t53_array_iter;

  flick_iiop_encode_new_glob(444);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  for (_t53_array_iter = 0; _t53_array_iter < _data->_length; _t53_array_iter++)
    {
      unsigned long int _t57_array_iter;

      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t53_array_iter]._length);
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t57_array_iter = 0; _t57_array_iter < _data->_buffer[_t53_array_iter]._length; _t57_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->_buffer[_t53_array_iter]._buffer[_t57_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t53_array_iter]._buffer, sizeof(long) * _data->_buffer[_t53_array_iter]._length, iiop);
#endif /* alway bcopy */
    }
  flick_iiop_encode_end_glob(444);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t63_array_iter;

  flick_iiop_decode_new_glob(444);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_iiop_decode_end_chunk(4);
  for (_t63_array_iter = 0; _t63_array_iter < _data->_length; _t63_array_iter++)
    {
      unsigned long int _t67_array_iter;

      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t63_array_iter]._length);
      _data->_buffer[_t63_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t63_array_iter]._length * sizeof(CORBA_long ));
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t67_array_iter = 0; _t67_array_iter < _data->_buffer[_t63_array_iter]._length; _t67_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->_buffer[_t63_array_iter]._buffer[_t67_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t63_array_iter]._buffer, sizeof(long) * _data->_buffer[_t63_array_iter]._length, iiop);
#endif
    }
  flick_iiop_decode_end_glob(444);
}

void flick_unmarshal_stub_c30_swap(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t73_array_iter;

  flick_iiop_decode_new_glob(444);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_iiop_decode_end_chunk(4);
  for (_t73_array_iter = 0; _t73_array_iter < _data->_length; _t73_array_iter++)
    {
      unsigned long int _t77_array_iter;

      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t73_array_iter]._length);
      _data->_buffer[_t73_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t73_array_iter]._length * sizeof(CORBA_long ));
      flick_iiop_decode_end_chunk(4);
      for (_t77_array_iter = 0; _t77_array_iter < _data->_buffer[_t73_array_iter]._length; _t77_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t73_array_iter]._buffer[_t77_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
    }
  flick_iiop_decode_end_glob(444);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t79_array_iter;
  unsigned long int _t81_array_iter;

  flick_cdr_encode_longstring(_data->path, null_flick_free, iiop);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->argv._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t79_array_iter = 0; _t79_array_iter < _data->argv._length; _t79_array_iter++)
    {
      flick_cdr_encode_longstring(_data->argv._buffer[_t79_array_iter], null_flick_free, iiop);
    }
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->envp._length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t81_array_iter = 0; _t81_array_iter < _data->envp._length; _t81_array_iter++)
    {
      flick_cdr_encode_longstring(_data->envp._buffer[_t81_array_iter], null_flick_free, iiop);
    }
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t83_array_iter;
  unsigned long int _t85_array_iter;

  flick_cdr_decode_longstring(_data->path, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t83_array_iter = 0; _t83_array_iter < _data->argv._length; _t83_array_iter++)
    {
      flick_cdr_decode_longstring(_data->argv._buffer[_t83_array_iter], CORBA_flick_alloc, iiop);
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t85_array_iter = 0; _t85_array_iter < _data->envp._length; _t85_array_iter++)
    {
      flick_cdr_decode_longstring(_data->envp._buffer[_t85_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_TProgram_swap(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t87_array_iter;
  unsigned long int _t89_array_iter;

  flick_cdr_swap_decode_longstring(_data->path, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t87_array_iter = 0; _t87_array_iter < _data->argv._length; _t87_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->argv._buffer[_t87_array_iter], CORBA_flick_alloc, iiop);
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t89_array_iter = 0; _t89_array_iter < _data->envp._length; _t89_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->envp._buffer[_t89_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->f1);
  flick_cdr_encode_char8(4, _data->f2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->f1);
  flick_cdr_decode_char8(4, _data->f2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->f1);
  flick_cdr_swap_decode_char8(4, _data->f2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t90_array_length;
  flick_unsigned8_t _t92_array_iter;

  _t90_array_length = 20;
  flick_iiop_encode_new_glob(100);
  for (_t92_array_iter = 0; _t92_array_iter < _t90_array_length; _t92_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, (*_data)[_t92_array_iter].f1);
      flick_cdr_encode_char8(4, (*_data)[_t92_array_iter].f2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_end_glob(100);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t93_array_length;
  flick_unsigned8_t _t95_array_iter;

  _t93_array_length = 20;
  flick_iiop_decode_new_glob(100);
  for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, (*_data)[_t95_array_iter].f1);
      flick_cdr_decode_char8(4, (*_data)[_t95_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(100);
}

void flick_unmarshal_stub_foo_ar_swap(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t96_array_length;
  flick_unsigned8_t _t98_array_iter;

  _t96_array_length = 20;
  flick_iiop_decode_new_glob(100);
  for (_t98_array_iter = 0; _t98_array_iter < _t96_array_length; _t98_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t98_array_iter].f1);
      flick_cdr_swap_decode_char8(4, (*_data)[_t98_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(100);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t100_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(5 * _data->_length);
  for (_t100_array_iter = 0; _t100_array_iter < _data->_length; _t100_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->_buffer[_t100_array_iter].f1);
      flick_cdr_encode_char8(4, _data->_buffer[_t100_array_iter].f2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_end_glob(5 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t102_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(5 * _data->_length);
  for (_t102_array_iter = 0; _t102_array_iter < _data->_length; _t102_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->_buffer[_t102_array_iter].f1);
      flick_cdr_decode_char8(4, _data->_buffer[_t102_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(5 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded_swap(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t104_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(5 * _data->_length);
  for (_t104_array_iter = 0; _t104_array_iter < _data->_length; _t104_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t104_array_iter].f1);
      flick_cdr_swap_decode_char8(4, _data->_buffer[_t104_array_iter].f2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_end_glob(5 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t112_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(100 * _data->_length);
  for (_t112_array_iter = 0; _t112_array_iter < _data->_length; _t112_array_iter++)
    {
      flick_unsigned8_t _t116_array_length;
      flick_unsigned8_t _t118_array_iter;

      _t116_array_length = 20;
      for (_t118_array_iter = 0; _t118_array_iter < _t116_array_length; _t118_array_iter++)
        {
          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, _data->_buffer[_t112_array_iter][_t118_array_iter].f1);
          flick_cdr_encode_char8(4, _data->_buffer[_t112_array_iter][_t118_array_iter].f2);
          flick_iiop_encode_end_chunk(5);
        }
    }
  flick_iiop_encode_end_glob(100 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t126_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(100 * _data->_length);
  for (_t126_array_iter = 0; _t126_array_iter < _data->_length; _t126_array_iter++)
    {
      flick_unsigned8_t _t130_array_length;
      flick_unsigned8_t _t132_array_iter;

      _t130_array_length = 20;
      for (_t132_array_iter = 0; _t132_array_iter < _t130_array_length; _t132_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_decode_signed32(0, _data->_buffer[_t126_array_iter][_t132_array_iter].f1);
          flick_cdr_decode_char8(4, _data->_buffer[_t126_array_iter][_t132_array_iter].f2);
          flick_iiop_decode_end_chunk(5);
        }
    }
  flick_iiop_decode_end_glob(100 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded_swap(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t140_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(100 * _data->_length);
  for (_t140_array_iter = 0; _t140_array_iter < _data->_length; _t140_array_iter++)
    {
      flick_unsigned8_t _t144_array_length;
      flick_unsigned8_t _t146_array_iter;

      _t144_array_length = 20;
      for (_t146_array_iter = 0; _t146_array_iter < _t144_array_length; _t146_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t140_array_iter][_t146_array_iter].f1);
          flick_cdr_swap_decode_char8(4, _data->_buffer[_t140_array_iter][_t146_array_iter].f2);
          flick_iiop_decode_end_chunk(5);
        }
    }
  flick_iiop_decode_end_glob(100 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t148_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t148_array_iter = 0; _t148_array_iter < _data->_length; _t148_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t148_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t150_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t150_array_iter = 0; _t150_array_iter < _data->_length; _t150_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t150_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10_swap(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t152_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t152_array_iter = 0; _t152_array_iter < _data->_length; _t152_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t152_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

vec10 *TestSeq_op(TestSeq _obj, TestSeq_also_vec10 *a, vec10 **b, TestSeq_also_vec10 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  vec10 *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t158_array_iter;
    unsigned long int _t160_array_iter;

    flick_iiop_encode_new_glob(100);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(12, a->_length);
    flick_iiop_encode_end_chunk(16);
#if 0 /* We never byte swap on encoding */
    for (_t158_array_iter = 0; _t158_array_iter < a->_length; _t158_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, a->_buffer[_t158_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(a->_buffer, sizeof(long) * a->_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_unsigned32(0, c->_length);
    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
    for (_t160_array_iter = 0; _t160_array_iter < c->_length; _t160_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, c->_buffer[_t160_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(c->_buffer, sizeof(long) * c->_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(100);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t180_array_iter;
            unsigned long int _t182_array_iter;
            unsigned long int _t184_array_iter;

            /* Begin decode phase on parameters */
            *b = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, (*b)->_length);
            (*b)->_buffer = CORBA_flick_alloc((*b)->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
            for (_t180_array_iter = 0; _t180_array_iter < (*b)->_length; _t180_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*b)->_buffer[_t180_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, c->_length);
            c->_buffer = CORBA_flick_alloc(c->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
            for (_t182_array_iter = 0; _t182_array_iter < c->_length; _t182_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, c->_buffer[_t182_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
            for (_t184_array_iter = 0; _t184_array_iter < _return->_length; _t184_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return->_buffer[_t184_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(136);
    }
  } else {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t168_array_iter;
            unsigned long int _t170_array_iter;
            unsigned long int _t172_array_iter;

            /* Begin decode phase on parameters */
            *b = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, (*b)->_length);
            (*b)->_buffer = CORBA_flick_alloc((*b)->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t168_array_iter = 0; _t168_array_iter < (*b)->_length; _t168_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*b)->_buffer[_t168_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy((*b)->_buffer, sizeof(long) * (*b)->_length, iiop);
#endif
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, c->_length);
            c->_buffer = CORBA_flick_alloc(c->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t170_array_iter = 0; _t170_array_iter < c->_length; _t170_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, c->_buffer[_t170_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(c->_buffer, sizeof(long) * c->_length, iiop);
#endif
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t172_array_iter = 0; _t172_array_iter < _return->_length; _t172_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, _return->_buffer[_t172_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_return->_buffer, sizeof(long) * _return->_length, iiop);
#endif
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(136);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

f_unbounded *TestSeq__get_fattr(TestSeq _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  f_unbounded *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 'g');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'f');
    flick_cdr_encode_char8(11, 'a');
    flick_cdr_encode_char8(12, 't');
    flick_cdr_encode_char8(13, 't');
    flick_cdr_encode_char8(14, 'r');
    flick_cdr_encode_char8(15, 0);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t192_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(f_unbounded ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(struct foo ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(5 * _return->_length);
            for (_t192_array_iter = 0; _t192_array_iter < _return->_length; _t192_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return->_buffer[_t192_array_iter].f1);
                flick_cdr_swap_decode_char8(4, _return->_buffer[_t192_array_iter].f2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_end_glob(5 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t188_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(f_unbounded ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(struct foo ));
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(5 * _return->_length);
            for (_t188_array_iter = 0; _t188_array_iter < _return->_length; _t188_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return->_buffer[_t188_array_iter].f1);
                flick_cdr_decode_char8(4, _return->_buffer[_t188_array_iter].f2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_end_glob(5 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

void TestSeq__set_fattr(TestSeq _obj, f_unbounded *fattr, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t196_array_iter;

    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, '_');
    flick_cdr_encode_char8(5, '_');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, '_');
    flick_cdr_encode_char8(10, 'f');
    flick_cdr_encode_char8(11, 'a');
    flick_cdr_encode_char8(12, 't');
    flick_cdr_encode_char8(13, 't');
    flick_cdr_encode_char8(14, 'r');
    flick_cdr_encode_char8(15, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, fattr->_length);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_iiop_encode_new_glob(5 * fattr->_length);
    for (_t196_array_iter = 0; _t196_array_iter < fattr->_length; _t196_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, fattr->_buffer[_t196_array_iter].f1);
        flick_cdr_encode_char8(4, fattr->_buffer[_t196_array_iter].f2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_end_glob(5 * fattr->_length);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
}

