#include "arrayez_-client.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_mach3mig_array_encode_new_glob(44);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t0_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t0_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(44);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_mach3mig_array_decode_new_glob(44);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t3_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t3_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(44);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t6_array_length;
  flick_unsigned16_t _t8_array_iter;

  _t6_array_length = 256;
  flick_mach3mig_array_encode_new_glob(1036);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t6_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t6_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(1036);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_mach3mig_array_decode_new_glob(1036);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t9_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t9_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(1036);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 8192;
  flick_mach3mig_array_encode_new_glob(32780);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t12_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t12_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(32780);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 8192;
  flick_mach3mig_array_decode_new_glob(32780);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t15_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t15_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(32780);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long arrays_test8(arrays _obj, arrays_arr8 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t21_array_length;
    flick_unsigned8_t _t23_array_iter;

    flick_mach3mig_encode_new_glob(100);
    flick_mach3mig_encode_new_chunk(68);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '8');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    _t21_array_length = 8;
    flick_mach3mig_array_encode_signed32_type(56, _t21_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(68);
#if 0 /* We don't need to ever to bit translation */
    for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a[_t23_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a, sizeof(long) * _t21_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(100);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t32_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t32_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t32_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t33_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t33_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t33_switch_tag)
            {
            case '$':
              {
                char _t34_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t34_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t34_switch_tag)
                  {
                  case 't':
                    {
                      char _t35_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t35_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t35_switch_tag)
                        {
                        case 'e':
                          {
                            char _t36_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t36_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t36_switch_tag)
                              {
                              case 's':
                                {
                                  char _t37_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t37_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t37_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t38_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t38_switch_tag)
                                          {
                                          case '8':
                                            {
                                              char _t39_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t39_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _return);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(80);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long arrays_test256(arrays _obj, arrays_arr256 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t43_array_length;
    flick_unsigned16_t _t45_array_iter;

    flick_mach3mig_encode_new_glob(1108);
    flick_mach3mig_encode_new_chunk(84);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '2');
    flick_mach3mig_encode_char8(48, '5');
    flick_mach3mig_encode_char8(56, '6');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    _t43_array_length = 256;
    flick_mach3mig_array_encode_signed32_type(72, _t43_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(84);
#if 0 /* We don't need to ever to bit translation */
    for (_t45_array_iter = 0; _t45_array_iter < _t43_array_length; _t45_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a[_t45_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a, sizeof(long) * _t43_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(1108);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t56_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t56_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t56_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t57_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t57_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t57_switch_tag)
            {
            case '$':
              {
                char _t58_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t58_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t58_switch_tag)
                  {
                  case 't':
                    {
                      char _t59_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t59_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t59_switch_tag)
                        {
                        case 'e':
                          {
                            char _t60_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t60_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t60_switch_tag)
                              {
                              case 's':
                                {
                                  char _t61_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t61_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t62_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t62_switch_tag)
                                          {
                                          case '2':
                                            {
                                              char _t63_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t63_switch_tag)
                                                {
                                                case '5':
                                                  {
                                                    char _t64_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t64_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t64_switch_tag)
                                                      {
                                                      case '6':
                                                        {
                                                          char _t65_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t65_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t65_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long arrays_test8k(arrays _obj, arrays_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t69_array_length;
    flick_unsigned16_t _t71_array_iter;

    flick_mach3mig_encode_new_glob(32844);
    flick_mach3mig_encode_new_chunk(76);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '8');
    flick_mach3mig_encode_char8(48, 'k');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    _t69_array_length = 8192;
    flick_mach3mig_array_encode_signed32_type(64, _t69_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(76);
#if 0 /* We don't need to ever to bit translation */
    for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a[_t71_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a, sizeof(long) * _t69_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(32844);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t81_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t81_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t81_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t82_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t82_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t82_switch_tag)
            {
            case '$':
              {
                char _t83_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t83_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t83_switch_tag)
                  {
                  case 't':
                    {
                      char _t84_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t84_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t84_switch_tag)
                        {
                        case 'e':
                          {
                            char _t85_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t85_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t85_switch_tag)
                              {
                              case 's':
                                {
                                  char _t86_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t86_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t86_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t87_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t87_switch_tag)
                                          {
                                          case '8':
                                            {
                                              char _t88_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t88_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t88_switch_tag)
                                                {
                                                case 'k':
                                                  {
                                                    char _t89_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t89_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t89_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _return);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

