#include "parms-client.h"

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void *void_test_2345(void *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  void *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0);
    _stream->msg_buf->Head.msgh_id = 0;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1024:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static char _t5_storage;

                _return = &_t5_storage;
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

char *char_test_2345(char *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  char *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t9_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t9_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static char _t11_storage;

                _return = &_t11_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_boolean(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t17_storage;

                _return = &_t17_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_boolean(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  short int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t21_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t21_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t21_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t23_storage;

                _return = &_t23_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  unsigned short int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 4;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned16(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t27_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t27_switch_tag)
      {
      case (signed int) 1028:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static unsigned short int _t29_storage;

                _return = &_t29_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_unsigned16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *long_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 5;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t33_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t33_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t33_switch_tag)
      {
      case (signed int) 1029:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t35_storage;

                _return = &_t35_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  unsigned int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 6;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned32(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t39_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t39_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t39_switch_tag)
      {
      case (signed int) 1030:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static unsigned int _t41_storage;

                _return = &_t41_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_unsigned32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

float *float_test_2345(float *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  float *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_float32(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t45_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t45_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t45_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static float _t47_storage;

                _return = &_t47_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_float32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

double *double_test_2345(double *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  double *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_float64(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t51_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t51_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t51_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static double _t53_storage;

                _return = &_t53_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_float64(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

