#include "string-3-client.h"

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

char **op_1(char **arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  char **_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_longstring(*arg, null_flick_free, mach3mig);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_glob(8);
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static char *_t5_storage;

                _return = &_t5_storage;
                flick_mach3mig_decode_end_glob(8);
                flick_mach3mig_decode_longstring(*_return, sun_flick_alloc, mach3mig);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(8);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

