#include "parms-client.h"

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void *void_test_2345(void *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t1_storage;

            _return = &_t1_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

char *char_test_2345(char *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_char8(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t3_storage;

            _return = &_t3_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 2);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned8(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            _return = &_t5_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 3);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed16(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t7_storage;

            _return = &_t7_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 4);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned16(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t9_storage;

            _return = &_t9_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned16(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int *long_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 5);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            _return = &_t11_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 6);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t13_storage;

            _return = &_t13_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

float *float_test_2345(float *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  float *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 7);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_float32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t15_storage;

            _return = &_t15_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_float32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

double *double_test_2345(double *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(28);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 8);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_float64(20, *arg);
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t17_storage;

            _return = &_t17_storage;
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, *_return);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

