#include "arrayez_-client.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_fluke_encode_new_glob(32);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_fluke_decode_new_glob(32);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t6_array_length;
  flick_unsigned16_t _t8_array_iter;

  _t6_array_length = 256;
  flick_fluke_encode_new_glob(1024);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_fluke_decode_new_glob(1024);
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 8192;
  flick_fluke_encode_new_glob(4 * _t12_array_length);
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(4 * _t12_array_length);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t15_array_length);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(4 * _t15_array_length);
}

int32_t arrays_test8(mom_ref_t _obj, arrays_arr8 a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t21_array_length;
    flick_unsigned8_t _t23_array_iter;

    flick_fluke_encode_new_glob(36);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrays_test8);
    /* Begin encode phase on parameters */
    _t21_array_length = 8;
    flick_fluke_encode_end_chunk(4);
    for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a[_t23_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(36);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int32_t arrays_test256(mom_ref_t _obj, arrays_arr256 a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t27_array_length;
    flick_unsigned16_t _t29_array_iter;

    flick_fluke_encode_new_glob(1028);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrays_test256);
    /* Begin encode phase on parameters */
    _t27_array_length = 256;
    flick_fluke_encode_end_chunk(4);
    for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a[_t29_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(1028);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int32_t arrays_test8k(mom_ref_t _obj, arrays_arr8k a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned16_t _t33_array_length;
    flick_unsigned16_t _t35_array_iter;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrays_test8k);
    /* Begin encode phase on parameters */
    _t33_array_length = 8192;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * _t33_array_length);
    for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a[_t35_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(4 * _t33_array_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

