#include "interface_-server.h"

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
}

mom_dispatch_action_t math_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t19_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t19_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t19_switch_tag)
      {
      case req_math_addshort:
        {
          {
            math *_obj;
            int16_t _local_a;
            int16_t _local_b;
            mom_exc_t *_ev;
            int16_t _return;
            mom_exc_t _t20_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t20_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_addshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_subshort:
        {
          {
            math *_obj;
            int16_t _local_a;
            int16_t _local_b;
            mom_exc_t *_ev;
            int16_t _return;
            mom_exc_t _t21_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t21_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_subshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multshort:
        {
          {
            math *_obj;
            int16_t _local_a;
            int16_t _local_b;
            mom_exc_t *_ev;
            int16_t _return;
            mom_exc_t _t22_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t22_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a);
            flick_fluke_decode_signed16(2, _local_b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_multshort(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_addlong:
        {
          {
            math *_obj;
            int32_t _local_a;
            int32_t _local_b;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t23_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t23_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_addlong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_sublong:
        {
          {
            math *_obj;
            int32_t _local_a;
            int32_t _local_b;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t24_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t24_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_sublong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multlong:
        {
          {
            math *_obj;
            int32_t _local_a;
            int32_t _local_b;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t25_storage;

            _obj = (math *)_dispatch_obj;
            _ev = &_t25_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_signed32(4, _local_b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_multlong(_obj, _local_a, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_addlonglist:
        {
          {
            math *_obj;
            long10 *_local_a;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t26_storage;
            long10 _t27_storage;
            unsigned long int _t29_array_iter;

            _obj = (math *)_dispatch_obj;
            _ev = &_t26_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t27_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(int32_t ));
            flick_fluke_decode_end_chunk(4);
            for (_t29_array_iter = 0; _t29_array_iter < _local_a->_length; _t29_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a->_buffer[_t29_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_addlonglist(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_math_multlonglist:
        {
          {
            math *_obj;
            long10 *_local_a;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t30_storage;
            long10 _t31_storage;
            unsigned long int _t33_array_iter;

            _obj = (math *)_dispatch_obj;
            _ev = &_t30_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t31_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(int32_t ));
            flick_fluke_decode_end_chunk(4);
            for (_t33_array_iter = 0; _t33_array_iter < _local_a->_length; _t33_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a->_buffer[_t33_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = math_server_multlonglist(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
