#include "simple2-server.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
}

mom_dispatch_action_t simple_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t8_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t8_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case req_simple_op:
        {
          {
            simple *_obj;
            int32_t _local_a;
            mom_ref_t *_local_b;
            int32_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t9_storage;
            mom_exc_t _t10_storage;
            int32_t _t11_storage;

            _obj = (simple *)_dispatch_obj;
            _local_b = &_t9_storage;
            _ev = &_t10_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_c = &_t11_storage;
            flick_fluke_decode_signed32(4, *_local_c);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_port32(0, *_local_b, 1);
                  flick_fluke_encode_signed32(0, *_local_c);
                  flick_fluke_encode_signed32(4, _return);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
}

mom_dispatch_action_t simple2_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t18_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t18_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case req_simple2_op2:
        {
          {
            simple2 *_obj;
            int32_t _local_a;
            mom_ref_t _local_b;
            mom_ref_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t19_storage;
            mom_exc_t _t20_storage;

            _obj = (simple2 *)_dispatch_obj;
            _local_c = &_t19_storage;
            _ev = &_t20_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_port32(4, _local_b, 1);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple2_server_op2(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_port32(0, *_local_c, 1);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple_op:
        {
          {
            simple2 *_obj;
            int32_t _local_a;
            mom_ref_t *_local_b;
            int32_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t21_storage;
            mom_exc_t _t22_storage;
            int32_t _t23_storage;

            _obj = (simple2 *)_dispatch_obj;
            _local_b = &_t21_storage;
            _ev = &_t22_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_c = &_t23_storage;
            flick_fluke_decode_signed32(4, *_local_c);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple2_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_port32(0, *_local_b, 1);
                  flick_fluke_encode_signed32(0, *_local_c);
                  flick_fluke_encode_signed32(4, _return);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_longstring(_data->msg, mom_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_longstring(_data->msg, mom_flick_alloc, fluke);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->b);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_longstring(_data->msg, mom_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->b);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_longstring(_data->msg, mom_flick_alloc, fluke);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  unsigned long int _t25_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->c._length);
  flick_fluke_encode_end_chunk(4);
  for (_t25_array_iter = 0; _t25_array_iter < _data->c._length; _t25_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->c._buffer[_t25_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  mom_flick_free(_data->c._buffer);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  unsigned long int _t27_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->c._length);
  _data->c._buffer = mom_flick_alloc(_data->c._length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t27_array_iter = 0; _t27_array_iter < _data->c._length; _t27_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->c._buffer[_t27_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_fluke_encode_longstring(_data->reason, mom_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_fluke_decode_longstring(_data->reason, mom_flick_alloc, fluke);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
}

mom_dispatch_action_t simple3_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t50_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t50_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t50_switch_tag)
      {
      case req_simple3_op3:
        {
          {
            simple3 *_obj;
            int32_t _local_a;
            mom_ref_t *_local_b;
            mom_ref_t *_local_c;
            mom_ref_t *_local_d;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t51_storage;
            mom_ref_t _t52_storage;
            mom_ref_t _t53_storage;
            mom_exc_t _t54_storage;

            _obj = (simple3 *)_dispatch_obj;
            _local_b = &_t51_storage;
            _local_c = &_t52_storage;
            _local_d = &_t53_storage;
            _ev = &_t54_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple3_server_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(48);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_port32(0, *_local_b, 1);
                  flick_fluke_encode_port32(0, *_local_c, 1);
                  flick_fluke_encode_port32(0, *_local_d, 1);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(48);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(48);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_simple3_OVERFLOW:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                        flick_fluke_encode_end_chunk(4);
                        flick_fluke_encode_end_glob(48);
                        flick_fluke_encode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, mom_flick_free, fluke);
                        mom_flick_free((simple3_OVERFLOW *)(_ev->_except));
                        break;
                      }
                    case exc_simple3_UNDERFLOW:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                        flick_fluke_encode_end_chunk(4);
                        flick_fluke_encode_end_glob(48);
                        flick_fluke_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, mom_flick_free, fluke);
                        mom_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                        break;
                      }
                    case exc_simple3_BADNUM:
                      {
                        unsigned long int _t62_array_iter;

                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                        flick_fluke_encode_end_chunk(4);
                        for (_t62_array_iter = 0; _t62_array_iter < ((simple3_BADNUM *)(_ev->_except))->c._length; _t62_array_iter++)
                          {
                            flick_fluke_encode_new_chunk(4);
                            flick_fluke_encode_signed32(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer[_t62_array_iter]);
                            flick_fluke_encode_end_chunk(4);
                          }
                        mom_flick_free(((simple3_BADNUM *)(_ev->_except))->c._buffer);
                        mom_flick_free((simple3_BADNUM *)(_ev->_except));
                        flick_fluke_encode_end_glob(48);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        flick_fluke_encode_end_glob(48);
                        break;
                      }
                    }
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple3_op4:
        {
          {
            simple3 *_obj;
            char *_local_x;
            char **_local_y;
            char **_local_z;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t63_storage;
            mom_exc_t _t64_storage;
            char *_t65_storage;

            _obj = (simple3 *)_dispatch_obj;
            _local_z = &_t63_storage;
            _ev = &_t64_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(12);
            flick_fluke_decode_auto_string(_local_x, auto_flick_alloc, fluke);
            _local_y = &_t65_storage;
            flick_fluke_decode_longstring(*_local_y, mom_flick_alloc, fluke);
            flick_mom_init_environment();
            _return = simple3_server_op4(_obj, _local_x, _local_y, _local_z, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_longstring(*_local_y, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_z, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_simple3_UNDERFLOW:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                        flick_fluke_encode_end_chunk(4);
                        flick_fluke_encode_end_glob(8);
                        flick_fluke_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, mom_flick_free, fluke);
                        mom_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        flick_fluke_encode_end_glob(8);
                        break;
                      }
                    }
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple3_op5:
        {
          {
            simple3 *_obj;
            mom_exc_t *_ev;
            mom_exc_t _t66_storage;

            _obj = (simple3 *)_dispatch_obj;
            _ev = &_t66_storage;
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            simple3_server_op5(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_simple3_USERERROR:
                      {
                        flick_fluke_encode_end_glob(4);
                        flick_fluke_encode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, mom_flick_free, fluke);
                        mom_flick_free((simple3_USERERROR *)(_ev->_except));
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        flick_fluke_encode_end_glob(4);
                        break;
                      }
                    }
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple2_op2:
        {
          {
            simple3 *_obj;
            int32_t _local_a;
            mom_ref_t _local_b;
            mom_ref_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t67_storage;
            mom_exc_t _t68_storage;

            _obj = (simple3 *)_dispatch_obj;
            _local_c = &_t67_storage;
            _ev = &_t68_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_port32(4, _local_b, 1);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple3_server_op2(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_port32(0, *_local_c, 1);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple_op:
        {
          {
            simple3 *_obj;
            int32_t _local_a;
            mom_ref_t *_local_b;
            int32_t *_local_c;
            mom_exc_t *_ev;
            int32_t _return;
            mom_ref_t _t69_storage;
            mom_exc_t _t70_storage;
            int32_t _t71_storage;

            _obj = (simple3 *)_dispatch_obj;
            _local_b = &_t69_storage;
            _ev = &_t70_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_c = &_t71_storage;
            flick_fluke_decode_signed32(4, *_local_c);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = simple3_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_port32(0, *_local_b, 1);
                  flick_fluke_encode_signed32(0, *_local_c);
                  flick_fluke_encode_signed32(4, _return);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
