#include "struct-2-server.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->one);
  flick_fluke_encode_signed32(4, _data->two);
  flick_fluke_encode_signed32(8, _data->three);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->one);
  flick_fluke_decode_signed32(4, _data->two);
  flick_fluke_decode_signed32(8, _data->three);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t2_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t2_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct bar *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct bar _t3_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t3_storage;
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _local_arg->one);
            flick_fluke_decode_signed32(4, _local_arg->two);
            flick_fluke_decode_signed32(8, _local_arg->three);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(16);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
