#ifndef _struct_client_h_
#define _struct_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___bar
#define _typedef___bar
typedef struct bar {
  int32_t b1;
  int32_t b2;
  char *b3;
} bar;
#endif /* _typedef___bar */

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data);

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data);

#ifndef _typedef___bar2
#define _typedef___bar2
typedef struct bar2 {
  int32_t b3;
  struct bar b4;
} bar2;
#endif /* _typedef___bar2 */

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data);

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data);

#ifndef _typedef___bar3
#define _typedef___bar3
typedef struct bar3 {
  int32_t b1;
  int32_t b2;
  int32_t b3;
} bar3;
#endif /* _typedef___bar3 */

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data);

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data);

#ifndef _typedef___bar4
#define _typedef___bar4
typedef struct bar4 {
  int32_t b1;
  struct bar2 b2;
  int32_t b3;
  struct bar3 b4;
  int32_t b5;
} bar4;
#endif /* _typedef___bar4 */

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data);

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data);

#include <fluke/flick.h>

int32_t foo_op(mom_ref_t _obj, const struct bar *a, struct bar2 **b, mom_exc_t *_ev);

struct bar *foo2_op2(mom_ref_t _obj, const struct bar2 *a, mom_exc_t *_ev);

int32_t foo2_op3(mom_ref_t _obj, int32_t a, char *b, mom_exc_t *_ev);

int32_t foo2_op(mom_ref_t _obj, const struct bar *a, struct bar2 **b, mom_exc_t *_ev);

#ifndef _typedef___Coord
#define _typedef___Coord
typedef u_int16_t Coord;
#endif /* _typedef___Coord */

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data);

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data);

#ifndef _typedef___CellPos
#define _typedef___CellPos
typedef struct CellPos {
  Coord row;
  Coord col;
} CellPos;
#endif /* _typedef___CellPos */

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data);

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data);

#ifndef _typedef___CellPos2
#define _typedef___CellPos2
typedef struct CellPos2 {
  u_int16_t row;
  u_int16_t col;
} CellPos2;
#endif /* _typedef___CellPos2 */

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data);

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data);

#ifndef _typedef___CellPos3
#define _typedef___CellPos3
typedef struct CellPos3 {
  Coord row;
  Coord col;
  u_int16_t col2;
} CellPos3;
#endif /* _typedef___CellPos3 */

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data);

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data);

#endif /* _struct_client_h_ */
