#include "complex-client.h"

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_cdr_encode_string(_data->name, null_flick_free, iiop, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_decode_string(_data->name, sun_flick_alloc, iiop, 200);
}

void flick_unmarshal_stub_person_swap(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_swap_decode_string(_data->name, sun_flick_alloc, iiop, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->people_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_cdr_encode_string(_data->people_val[_t1_array_iter].name, null_flick_free, iiop, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->people_len);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->people_len; _t3_array_iter++)
    {
      flick_cdr_decode_string(_data->people_val[_t3_array_iter].name, sun_flick_alloc, iiop, 200);
    }
}

void flick_unmarshal_stub_people_swap(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->people_len);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->people_len; _t5_array_iter++)
    {
      flick_cdr_swap_decode_string(_data->people_val[_t5_array_iter].name, sun_flick_alloc, iiop, 200);
    }
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

void *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t9_array_iter;

    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->people_len);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t9_array_iter = 0; _t9_array_iter < arg->people_len; _t9_array_iter++)
      {
        flick_cdr_encode_string(arg->people_val[_t9_array_iter].name, null_flick_free, iiop, 200);
      }
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t13_storage;

            _return = &_t13_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t11_storage;

            _return = &_t11_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

