#include "simple-decl-1-server.h"

void flick_marshal_stub_one_of_each(flick_marshal_stream_t _stream, const struct one_of_each *_data)
{
  flick_unsigned16_t _t0_array_length;
  flick_unsigned16_t _t2_array_iter;
  unsigned long int _t4_array_iter;
  unsigned long int _t6_array_iter;

  flick_iiop_encode_new_glob(40);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_unsigned8(0, _data->my_bool);
  flick_cdr_encode_char8(1, _data->my_char);
  flick_cdr_encode_char8(2, _data->my_unsigned_char);
  flick_cdr_encode_signed32(4, _data->my_int);
  flick_cdr_encode_signed16(8, _data->my_short_int);
  flick_cdr_encode_signed32(12, _data->my_long_int);
  flick_cdr_encode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_encode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_encode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_encode_float32(28, _data->my_float);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->my_double);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(40);
  flick_cdr_encode_string(_data->my_bounded_string, null_flick_free, iiop, 256);
  flick_cdr_encode_longstring(_data->my_unbounded_string, null_flick_free, iiop);
  _t0_array_length = 256;
  flick_iiop_encode_new_glob(520);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->my_fixed_opaque[_t2_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t4_array_iter = 0; _t4_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t4_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t4_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(520);
  flick_iiop_encode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if 0 /* We never byte swap on encoding */
  for (_t6_array_iter = 0; _t6_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t6_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t6_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t7_array_length;
  flick_unsigned16_t _t9_array_iter;
  unsigned long int _t11_array_iter;
  unsigned long int _t13_array_iter;

  flick_iiop_decode_new_glob(40);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_unsigned8(0, _data->my_bool);
  flick_cdr_decode_char8(1, _data->my_char);
  flick_cdr_decode_char8(2, _data->my_unsigned_char);
  flick_cdr_decode_signed32(4, _data->my_int);
  flick_cdr_decode_signed16(8, _data->my_short_int);
  flick_cdr_decode_signed32(12, _data->my_long_int);
  flick_cdr_decode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_decode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_decode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_decode_float32(28, _data->my_float);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->my_double);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(40);
  flick_cdr_decode_string(_data->my_bounded_string, sun_flick_alloc, iiop, 256);
  flick_cdr_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, iiop);
  _t7_array_length = 256;
  flick_iiop_decode_new_glob(520);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _t7_array_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->my_fixed_opaque[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t7_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t11_array_iter = 0; _t11_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, iiop);
#endif
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(520);
  flick_iiop_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t13_array_iter = 0; _t13_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t13_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t13_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each_swap(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t14_array_length;
  flick_unsigned16_t _t16_array_iter;
  unsigned long int _t18_array_iter;
  unsigned long int _t20_array_iter;

  flick_iiop_decode_new_glob(40);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_swap_decode_unsigned8(0, _data->my_bool);
  flick_cdr_swap_decode_char8(1, _data->my_char);
  flick_cdr_swap_decode_char8(2, _data->my_unsigned_char);
  flick_cdr_swap_decode_signed32(4, _data->my_int);
  flick_cdr_swap_decode_signed16(8, _data->my_short_int);
  flick_cdr_swap_decode_signed32(12, _data->my_long_int);
  flick_cdr_swap_decode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_swap_decode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_swap_decode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_swap_decode_float32(28, _data->my_float);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->my_double);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(40);
  flick_cdr_swap_decode_string(_data->my_bounded_string, sun_flick_alloc, iiop, 256);
  flick_cdr_swap_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, iiop);
  _t14_array_length = 256;
  flick_iiop_decode_new_glob(520);
  for (_t16_array_iter = 0; _t16_array_iter < _t14_array_length; _t16_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_fixed_opaque[_t16_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_iiop_decode_end_chunk(4);
  for (_t18_array_iter = 0; _t18_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t18_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t18_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(520);
  flick_iiop_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  for (_t20_array_iter = 0; _t20_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t20_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

