#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t5_array_iter;

  flick_mach3mig_encode_new_glob(40);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_char8_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_char8(0, _data->_buffer[_t5_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(40);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_mach3mig_decode_new_glob(40);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_mach3mig_array_decode_char8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_char8(0, _data->_buffer[_t7_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(40);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t13_array_iter;

  flick_mach3mig_encode_new_glob(928);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      unsigned long int _t17_array_iter;

      flick_mach3mig_encode_new_chunk_align(20, 2, 0, 0);
      flick_mach3mig_encode_unsigned32(0, _data->_buffer[_t13_array_iter]._length);
      flick_mach3mig_array_encode_char8_type(8, _data->_buffer[_t13_array_iter]._length * 1, 1, _long_type);
      flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
      for (_t17_array_iter = 0; _t17_array_iter < _data->_buffer[_t13_array_iter]._length; _t17_array_iter++)
        {
          flick_mach3mig_array_encode_new_chunk(1);
          flick_mach3mig_array_encode_char8(0, _data->_buffer[_t13_array_iter]._buffer[_t17_array_iter]);
          flick_mach3mig_array_encode_end_chunk(1);
        }
#else /* Always do a bcopy*/
      flick_mach3mig_array_encode_bcopy(_data->_buffer[_t13_array_iter]._buffer, sizeof(char) * _data->_buffer[_t13_array_iter]._length, mach3mig_array);
#endif /* bcopy? */
    }
  flick_mach3mig_encode_end_glob(928);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t23_array_iter;

  flick_mach3mig_decode_new_glob(928);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_mach3mig_decode_end_chunk(8);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      unsigned long int _t27_array_iter;

      flick_mach3mig_decode_new_chunk_align(20, 2, 0, 0);
      flick_mach3mig_decode_unsigned32(0, _data->_buffer[_t23_array_iter]._length);
      _data->_buffer[_t23_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t23_array_iter]._length * sizeof(CORBA_char ));
      flick_mach3mig_array_decode_char8_type(8, _data->_buffer[_t23_array_iter]._length, 1, _long_type);
      flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
      for (_t27_array_iter = 0; _t27_array_iter < _data->_buffer[_t23_array_iter]._length; _t27_array_iter++)
        {
          flick_mach3mig_array_decode_new_chunk(1);
          flick_mach3mig_array_decode_char8(0, _data->_buffer[_t23_array_iter]._buffer[_t27_array_iter]);
          flick_mach3mig_array_decode_end_chunk(1);
        }
#else /* Always do a bcopy*/
      flick_mach3mig_array_decode_bcopy(_data->_buffer[_t23_array_iter]._buffer, sizeof(char) * _data->_buffer[_t23_array_iter]._length, mach3mig_array);
#endif /* bcopy? */
    }
  flick_mach3mig_decode_end_glob(928);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t29_array_iter;

  flick_mach3mig_encode_new_glob(44);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_char8_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_char8(0, _data->_buffer[_t29_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(44);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t31_array_iter;

  flick_mach3mig_decode_new_glob(44);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_mach3mig_array_decode_char8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_char8(0, _data->_buffer[_t31_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(44);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t37_array_iter;

  flick_mach3mig_encode_new_glob(608);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_mach3mig_encode_new_chunk(20);
      flick_mach3mig_encode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      flick_mach3mig_array_encode_signed32_type(8, _data->_buffer[_t37_array_iter]._length * 1, 1, _long_type);
      flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_mach3mig_array_encode_new_chunk(4);
          flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_mach3mig_array_encode_end_chunk(4);
        }
#else /* Always do a bcopy*/
      flick_mach3mig_array_encode_bcopy(_data->_buffer[_t37_array_iter]._buffer, sizeof(long) * _data->_buffer[_t37_array_iter]._length, mach3mig_array);
#endif /* bcopy? */
    }
  flick_mach3mig_encode_end_glob(608);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t47_array_iter;

  flick_mach3mig_decode_new_glob(608);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_mach3mig_decode_end_chunk(8);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      unsigned long int _t51_array_iter;

      flick_mach3mig_decode_new_chunk(20);
      flick_mach3mig_decode_unsigned32(0, _data->_buffer[_t47_array_iter]._length);
      _data->_buffer[_t47_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t47_array_iter]._length * sizeof(CORBA_long ));
      flick_mach3mig_array_decode_signed32_type(8, _data->_buffer[_t47_array_iter]._length, 1, _long_type);
      flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
      for (_t51_array_iter = 0; _t51_array_iter < _data->_buffer[_t47_array_iter]._length; _t51_array_iter++)
        {
          flick_mach3mig_array_decode_new_chunk(4);
          flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t47_array_iter]._buffer[_t51_array_iter]);
          flick_mach3mig_array_decode_end_chunk(4);
        }
#else /* Always do a bcopy*/
      flick_mach3mig_array_decode_bcopy(_data->_buffer[_t47_array_iter]._buffer, sizeof(long) * _data->_buffer[_t47_array_iter]._length, mach3mig_array);
#endif /* bcopy? */
    }
  flick_mach3mig_decode_end_glob(608);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t53_array_iter;
  unsigned long int _t55_array_iter;

  flick_mach3mig_encode_longstring(_data->path, null_flick_free, mach3mig);
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_unsigned32(0, _data->argv._length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t53_array_iter = 0; _t53_array_iter < _data->argv._length; _t53_array_iter++)
    {
      flick_mach3mig_encode_longstring(_data->argv._buffer[_t53_array_iter], null_flick_free, mach3mig);
    }
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_unsigned32(0, _data->envp._length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t55_array_iter = 0; _t55_array_iter < _data->envp._length; _t55_array_iter++)
    {
      flick_mach3mig_encode_longstring(_data->envp._buffer[_t55_array_iter], null_flick_free, mach3mig);
    }
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t57_array_iter;
  unsigned long int _t59_array_iter;

  flick_mach3mig_decode_longstring(_data->path, CORBA_flick_alloc, mach3mig);
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  for (_t57_array_iter = 0; _t57_array_iter < _data->argv._length; _t57_array_iter++)
    {
      flick_mach3mig_decode_longstring(_data->argv._buffer[_t57_array_iter], CORBA_flick_alloc, mach3mig);
    }
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  for (_t59_array_iter = 0; _t59_array_iter < _data->envp._length; _t59_array_iter++)
    {
      flick_mach3mig_decode_longstring(_data->envp._buffer[_t59_array_iter], CORBA_flick_alloc, mach3mig);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->f1);
  flick_mach3mig_encode_char8(8, _data->f2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->f1);
  flick_mach3mig_decode_char8(8, _data->f2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  _t60_array_length = 20;
  flick_mach3mig_encode_new_glob(320);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, (*_data)[_t62_array_iter].f1);
      flick_mach3mig_encode_char8(8, (*_data)[_t62_array_iter].f2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_end_glob(320);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  _t63_array_length = 20;
  flick_mach3mig_decode_new_glob(320);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, (*_data)[_t65_array_iter].f1);
      flick_mach3mig_decode_char8(8, (*_data)[_t65_array_iter].f2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_end_glob(320);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t67_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(16 * _data->_length);
  for (_t67_array_iter = 0; _t67_array_iter < _data->_length; _t67_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->_buffer[_t67_array_iter].f1);
      flick_mach3mig_encode_char8(8, _data->_buffer[_t67_array_iter].f2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t69_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_new_glob(16 * _data->_length);
  for (_t69_array_iter = 0; _t69_array_iter < _data->_length; _t69_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->_buffer[_t69_array_iter].f1);
      flick_mach3mig_decode_char8(8, _data->_buffer[_t69_array_iter].f2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t77_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(320 * _data->_length);
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_unsigned8_t _t81_array_length;
      flick_unsigned8_t _t83_array_iter;

      _t81_array_length = 20;
      for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
        {
          flick_mach3mig_encode_new_chunk(16);
          flick_mach3mig_encode_signed32(0, _data->_buffer[_t77_array_iter][_t83_array_iter].f1);
          flick_mach3mig_encode_char8(8, _data->_buffer[_t77_array_iter][_t83_array_iter].f2);
          flick_mach3mig_encode_end_chunk(16);
        }
    }
  flick_mach3mig_encode_end_glob(320 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t91_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_new_glob(320 * _data->_length);
  for (_t91_array_iter = 0; _t91_array_iter < _data->_length; _t91_array_iter++)
    {
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      _t95_array_length = 20;
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_mach3mig_decode_new_chunk(16);
          flick_mach3mig_decode_signed32(0, _data->_buffer[_t91_array_iter][_t97_array_iter].f1);
          flick_mach3mig_decode_char8(8, _data->_buffer[_t91_array_iter][_t97_array_iter].f2);
          flick_mach3mig_decode_end_chunk(16);
        }
    }
  flick_mach3mig_decode_end_glob(320 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t99_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t99_array_iter = 0; _t99_array_iter < _data->_length; _t99_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t99_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t101_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t101_array_iter = 0; _t101_array_iter < _data->_length; _t101_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t101_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

vec10 *TestSeq_op(TestSeq _obj, TestSeq_also_vec10 *a, vec10 **b, TestSeq_also_vec10 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  vec10 *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t107_array_iter;
    unsigned long int _t109_array_iter;

    flick_mach3mig_encode_new_glob(152);
    flick_mach3mig_encode_new_chunk(52);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(32, a->_length);
    flick_mach3mig_array_encode_signed32_type(40, a->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(52);
#if 0 /* We don't need to ever to bit translation */
    for (_t107_array_iter = 0; _t107_array_iter < a->_length; _t107_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a->_buffer[_t107_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a->_buffer, sizeof(long) * a->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, c->_length);
    flick_mach3mig_array_encode_signed32_type(8, c->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
    for (_t109_array_iter = 0; _t109_array_iter < c->_length; _t109_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, c->_buffer[_t109_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(c->_buffer, sizeof(long) * c->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(152);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t127_switch_tag;

    flick_mach3mig_decode_new_glob(228);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t127_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t127_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t128_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t128_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t128_switch_tag)
            {
            case '$':
              {
                char _t129_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t129_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t129_switch_tag)
                  {
                  case 'o':
                    {
                      char _t130_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t130_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t130_switch_tag)
                        {
                        case 'p':
                          {
                            char _t131_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t131_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t131_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        unsigned long int _t139_array_iter;
                                        unsigned long int _t141_array_iter;
                                        unsigned long int _t143_array_iter;

                                        /* Begin decode phase on parameters */
                                        *b = CORBA_flick_alloc(sizeof(vec10 ));
                                        flick_mach3mig_decode_new_chunk(20);
                                        flick_mach3mig_decode_unsigned32(0, (*b)->_length);
                                        (*b)->_buffer = CORBA_flick_alloc((*b)->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_signed32_type(8, (*b)->_length, 1, _long_type);
                                        flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                        for (_t139_array_iter = 0; _t139_array_iter < (*b)->_length; _t139_array_iter++)
                                          {
                                            flick_mach3mig_array_decode_new_chunk(4);
                                            flick_mach3mig_array_decode_signed32(0, (*b)->_buffer[_t139_array_iter]);
                                            flick_mach3mig_array_decode_end_chunk(4);
                                          }
#else /* Always do a bcopy*/
                                        flick_mach3mig_array_decode_bcopy((*b)->_buffer, sizeof(long) * (*b)->_length, mach3mig_array);
#endif /* bcopy? */
                                        flick_mach3mig_decode_new_chunk(20);
                                        flick_mach3mig_decode_unsigned32(0, c->_length);
                                        c->_buffer = CORBA_flick_alloc(c->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_signed32_type(8, c->_length, 1, _long_type);
                                        flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                        for (_t141_array_iter = 0; _t141_array_iter < c->_length; _t141_array_iter++)
                                          {
                                            flick_mach3mig_array_decode_new_chunk(4);
                                            flick_mach3mig_array_decode_signed32(0, c->_buffer[_t141_array_iter]);
                                            flick_mach3mig_array_decode_end_chunk(4);
                                          }
#else /* Always do a bcopy*/
                                        flick_mach3mig_array_decode_bcopy(c->_buffer, sizeof(long) * c->_length, mach3mig_array);
#endif /* bcopy? */
                                        _return = CORBA_flick_alloc(sizeof(vec10 ));
                                        flick_mach3mig_decode_new_chunk(20);
                                        flick_mach3mig_decode_unsigned32(0, _return->_length);
                                        _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_signed32_type(8, _return->_length, 1, _long_type);
                                        flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                        for (_t143_array_iter = 0; _t143_array_iter < _return->_length; _t143_array_iter++)
                                          {
                                            flick_mach3mig_array_decode_new_chunk(4);
                                            flick_mach3mig_array_decode_signed32(0, _return->_buffer[_t143_array_iter]);
                                            flick_mach3mig_array_decode_end_chunk(4);
                                          }
#else /* Always do a bcopy*/
                                        flick_mach3mig_array_decode_bcopy(_return->_buffer, sizeof(long) * _return->_length, mach3mig_array);
#endif /* bcopy? */
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(228);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

f_unbounded *TestSeq__get_fattr(TestSeq _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  f_unbounded *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 'g');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'f');
    flick_mach3mig_encode_char8(64, 'a');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 'r');
    flick_mach3mig_encode_char8(96, 0);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t162_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t162_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t162_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t163_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t163_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t163_switch_tag)
            {
            case '$':
              {
                char _t164_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t164_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t164_switch_tag)
                  {
                  case '<':
                    {
                      char _t165_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t165_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t165_switch_tag)
                        {
                        case '_':
                          {
                            char _t166_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t166_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t166_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t167_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t167_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t167_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t168_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t168_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t168_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t169_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t169_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t169_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t170_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t170_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t170_switch_tag)
                                                      {
                                                      case 'f':
                                                        {
                                                          char _t171_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t171_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t171_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t172_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t172_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t172_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t173_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t173_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t173_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t174_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t174_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t174_switch_tag)
                                                                              {
                                                                              case 'r':
                                                                                {
                                                                                  char _t175_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t175_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t175_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              unsigned long int _t179_array_iter;

                                                                                              /* Begin decode phase on parameters */
                                                                                              _return = CORBA_flick_alloc(sizeof(f_unbounded ));
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                                              _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(struct foo ));
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              flick_mach3mig_decode_new_glob(16 * _return->_length);
                                                                                              for (_t179_array_iter = 0; _t179_array_iter < _return->_length; _t179_array_iter++)
                                                                                                {
                                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                                  flick_mach3mig_decode_signed32(0, _return->_buffer[_t179_array_iter].f1);
                                                                                                  flick_mach3mig_decode_char8(8, _return->_buffer[_t179_array_iter].f2);
                                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                                }
                                                                                              flick_mach3mig_decode_end_glob(16 * _return->_length);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(128);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(128);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(128);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(128);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(128);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(128);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(128);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(128);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(128);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(128);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(128);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(128);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(128);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void TestSeq__set_fattr(TestSeq _obj, f_unbounded *fattr, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t183_array_iter;

    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'f');
    flick_mach3mig_encode_char8(64, 'a');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 'r');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(104, fattr->_length);
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
    flick_mach3mig_encode_new_glob(16 * fattr->_length);
    for (_t183_array_iter = 0; _t183_array_iter < fattr->_length; _t183_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, fattr->_buffer[_t183_array_iter].f1);
        flick_mach3mig_encode_char8(8, fattr->_buffer[_t183_array_iter].f2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_end_glob(16 * fattr->_length);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t197_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t197_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t197_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t198_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t198_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t198_switch_tag)
            {
            case '<':
              {
                char _t199_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t199_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t199_switch_tag)
                  {
                  case '_':
                    {
                      char _t200_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t200_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t200_switch_tag)
                        {
                        case 's':
                          {
                            char _t201_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t201_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t201_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t202_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t202_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t202_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t203_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t203_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t203_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t204_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t204_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t204_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t205_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t205_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t205_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t206_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t206_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t206_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t207_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t207_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t207_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t208_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t208_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t208_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t209_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t209_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t209_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
}

