#include "struct-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->b1);
  flick_mach3mig_encode_signed32(8, _data->b2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
  flick_mach3mig_encode_string(_data->b3, null_flick_free, mach3mig, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->b1);
  flick_mach3mig_decode_signed32(8, _data->b2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
  flick_mach3mig_decode_string(_data->b3, CORBA_flick_alloc, mach3mig, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(24);
  flick_mach3mig_encode_signed32(0, _data->b3);
  flick_mach3mig_encode_signed32(8, _data->b4.b1);
  flick_mach3mig_encode_signed32(16, _data->b4.b2);
  flick_mach3mig_encode_end_chunk(24);
  flick_mach3mig_encode_end_glob(24);
  flick_mach3mig_encode_string(_data->b4.b3, null_flick_free, mach3mig, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(24);
  flick_mach3mig_decode_signed32(0, _data->b3);
  flick_mach3mig_decode_signed32(8, _data->b4.b1);
  flick_mach3mig_decode_signed32(16, _data->b4.b2);
  flick_mach3mig_decode_end_chunk(24);
  flick_mach3mig_decode_end_glob(24);
  flick_mach3mig_decode_string(_data->b4.b3, CORBA_flick_alloc, mach3mig, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(24);
  flick_mach3mig_encode_signed32(0, _data->b1);
  flick_mach3mig_encode_signed32(8, _data->b2);
  flick_mach3mig_encode_signed32(16, _data->b3);
  flick_mach3mig_encode_end_chunk(24);
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(24);
  flick_mach3mig_decode_signed32(0, _data->b1);
  flick_mach3mig_decode_signed32(8, _data->b2);
  flick_mach3mig_decode_signed32(16, _data->b3);
  flick_mach3mig_decode_end_chunk(24);
  flick_mach3mig_decode_end_glob(24);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_mach3mig_encode_new_glob(32);
  flick_mach3mig_encode_new_chunk(32);
  flick_mach3mig_encode_signed32(0, _data->b1);
  flick_mach3mig_encode_signed32(8, _data->b2.b3);
  flick_mach3mig_encode_signed32(16, _data->b2.b4.b1);
  flick_mach3mig_encode_signed32(24, _data->b2.b4.b2);
  flick_mach3mig_encode_end_chunk(32);
  flick_mach3mig_encode_end_glob(32);
  flick_mach3mig_encode_string(_data->b2.b4.b3, null_flick_free, mach3mig, 20);
  flick_mach3mig_encode_new_glob(40);
  flick_mach3mig_encode_new_chunk_align(40, 2, 0, 0);
  flick_mach3mig_encode_signed32(0, _data->b3);
  flick_mach3mig_encode_signed32(8, _data->b4.b1);
  flick_mach3mig_encode_signed32(16, _data->b4.b2);
  flick_mach3mig_encode_signed32(24, _data->b4.b3);
  flick_mach3mig_encode_signed32(32, _data->b5);
  flick_mach3mig_encode_end_chunk(40);
  flick_mach3mig_encode_end_glob(40);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_mach3mig_decode_new_glob(32);
  flick_mach3mig_decode_new_chunk(32);
  flick_mach3mig_decode_signed32(0, _data->b1);
  flick_mach3mig_decode_signed32(8, _data->b2.b3);
  flick_mach3mig_decode_signed32(16, _data->b2.b4.b1);
  flick_mach3mig_decode_signed32(24, _data->b2.b4.b2);
  flick_mach3mig_decode_end_chunk(32);
  flick_mach3mig_decode_end_glob(32);
  flick_mach3mig_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, mach3mig, 20);
  flick_mach3mig_decode_new_glob(40);
  flick_mach3mig_decode_new_chunk_align(40, 2, 0, 0);
  flick_mach3mig_decode_signed32(0, _data->b3);
  flick_mach3mig_decode_signed32(8, _data->b4.b1);
  flick_mach3mig_decode_signed32(16, _data->b4.b2);
  flick_mach3mig_decode_signed32(24, _data->b4.b3);
  flick_mach3mig_decode_signed32(32, _data->b5);
  flick_mach3mig_decode_end_chunk(40);
  flick_mach3mig_decode_end_glob(40);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long foo_op(foo _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a->b1);
    flick_mach3mig_encode_signed32(40, a->b2);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
    flick_mach3mig_encode_string(a->b3, null_flick_free, mach3mig, 20);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t5_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t5_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t6_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t6_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t6_switch_tag)
            {
            case '$':
              {
                char _t7_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t7_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t7_switch_tag)
                  {
                  case 'o':
                    {
                      char _t8_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t8_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t8_switch_tag)
                        {
                        case 'p':
                          {
                            char _t9_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t9_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t9_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        *b = CORBA_flick_alloc(sizeof(struct bar2 ));
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_signed32(0, (*b)->b3);
                                        flick_mach3mig_decode_signed32(8, (*b)->b4.b1);
                                        flick_mach3mig_decode_signed32(16, (*b)->b4.b2);
                                        flick_mach3mig_decode_end_chunk(24);
                                        flick_mach3mig_decode_end_glob(72);
                                        flick_mach3mig_decode_string((*b)->b4.b3, CORBA_flick_alloc, mach3mig, 20);
                                        flick_mach3mig_decode_new_glob(8);
                                        flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                        flick_mach3mig_decode_signed32(0, _return);
                                        flick_mach3mig_decode_end_chunk(8);
                                        flick_mach3mig_decode_end_glob(8);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(72);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct bar *foo2_op2(foo2 _obj, struct bar2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct bar *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '2');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a->b3);
    flick_mach3mig_encode_signed32(48, a->b4.b1);
    flick_mach3mig_encode_signed32(56, a->b4.b2);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
    flick_mach3mig_encode_string(a->b4.b3, null_flick_free, mach3mig, 20);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t16_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t16_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t16_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t17_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t17_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t17_switch_tag)
            {
            case '$':
              {
                char _t18_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t18_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t18_switch_tag)
                  {
                  case 'o':
                    {
                      char _t19_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t19_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t19_switch_tag)
                        {
                        case 'p':
                          {
                            char _t20_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t20_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t20_switch_tag)
                              {
                              case '2':
                                {
                                  char _t21_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t21_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              _return = CORBA_flick_alloc(sizeof(struct bar ));
                                              flick_mach3mig_decode_new_chunk(16);
                                              flick_mach3mig_decode_signed32(0, _return->b1);
                                              flick_mach3mig_decode_signed32(8, _return->b2);
                                              flick_mach3mig_decode_end_chunk(16);
                                              flick_mach3mig_decode_end_glob(72);
                                              flick_mach3mig_decode_string(_return->b3, CORBA_flick_alloc, mach3mig, 20);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(72);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(72);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(72);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long foo2_op3(foo2 _obj, CORBA_long a, CORBA_char *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t28_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t28_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t28_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t29_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t29_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t29_switch_tag)
            {
            case '$':
              {
                char _t30_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t30_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t30_switch_tag)
                  {
                  case 'o':
                    {
                      char _t31_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t31_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t31_switch_tag)
                        {
                        case 'p':
                          {
                            char _t32_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t32_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t32_switch_tag)
                              {
                              case '3':
                                {
                                  char _t33_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t33_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t33_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(16);
                                              flick_mach3mig_decode_char8(0, *b);
                                              flick_mach3mig_decode_signed32(8, _return);
                                              flick_mach3mig_decode_end_chunk(16);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long foo2_op(foo2 _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a->b1);
    flick_mach3mig_encode_signed32(40, a->b2);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
    flick_mach3mig_encode_string(a->b3, null_flick_free, mach3mig, 20);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t39_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t39_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t39_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t40_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t40_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t40_switch_tag)
            {
            case '$':
              {
                char _t41_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t41_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t41_switch_tag)
                  {
                  case 'o':
                    {
                      char _t42_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t42_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t42_switch_tag)
                        {
                        case 'p':
                          {
                            char _t43_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t43_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t43_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        *b = CORBA_flick_alloc(sizeof(struct bar2 ));
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_signed32(0, (*b)->b3);
                                        flick_mach3mig_decode_signed32(8, (*b)->b4.b1);
                                        flick_mach3mig_decode_signed32(16, (*b)->b4.b2);
                                        flick_mach3mig_decode_end_chunk(24);
                                        flick_mach3mig_decode_end_glob(72);
                                        flick_mach3mig_decode_string((*b)->b4.b3, CORBA_flick_alloc, mach3mig, 20);
                                        flick_mach3mig_decode_new_glob(8);
                                        flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                        flick_mach3mig_decode_signed32(0, _return);
                                        flick_mach3mig_decode_end_chunk(8);
                                        flick_mach3mig_decode_end_glob(8);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(72);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned16(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned16(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_unsigned16(0, _data->row);
  flick_mach3mig_encode_unsigned16(8, _data->col);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_unsigned16(0, _data->row);
  flick_mach3mig_decode_unsigned16(8, _data->col);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_unsigned16(0, _data->row);
  flick_mach3mig_encode_unsigned16(8, _data->col);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_unsigned16(0, _data->row);
  flick_mach3mig_decode_unsigned16(8, _data->col);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(24);
  flick_mach3mig_encode_unsigned16(0, _data->row);
  flick_mach3mig_encode_unsigned16(8, _data->col);
  flick_mach3mig_encode_unsigned16(16, _data->col2);
  flick_mach3mig_encode_end_chunk(24);
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(24);
  flick_mach3mig_decode_unsigned16(0, _data->row);
  flick_mach3mig_decode_unsigned16(8, _data->col);
  flick_mach3mig_decode_unsigned16(16, _data->col2);
  flick_mach3mig_decode_end_chunk(24);
  flick_mach3mig_decode_end_glob(24);
}

