#include "unionplain_-client.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.y);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.y);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.y);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'c':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.y);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'c':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case -1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed16(0, _data->_u.a);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 50:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.b);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.c);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case -1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed16(0, _data->_u.a);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 50:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.b);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.c);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_mach3mig_encode_new_glob(68);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_end_glob(68);
        flick_mach3mig_encode_longstring(_data->_u.a, null_flick_free, mach3mig);
        break;
      }
    case 2:
      {
        unsigned long int _t3_array_iter;

        flick_mach3mig_encode_new_chunk(20);
        flick_mach3mig_encode_unsigned32(0, _data->_u.b._length);
        flick_mach3mig_array_encode_signed32_type(8, _data->_u.b._length * 1, 1, _long_type);
        flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_mach3mig_array_encode_new_chunk(4);
            flick_mach3mig_array_encode_signed32(0, _data->_u.b._buffer[_t3_array_iter]);
            flick_mach3mig_array_encode_end_chunk(4);
          }
#else /* Always do a bcopy*/
        flick_mach3mig_array_encode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, mach3mig_array);
#endif /* bcopy? */
        flick_mach3mig_encode_end_glob(68);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.c);
        flick_mach3mig_encode_end_chunk(8);
        flick_mach3mig_encode_end_glob(68);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_mach3mig_decode_new_glob(68);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_end_glob(68);
        flick_mach3mig_decode_longstring(_data->_u.a, CORBA_flick_alloc, mach3mig);
        break;
      }
    case 2:
      {
        unsigned long int _t7_array_iter;

        flick_mach3mig_decode_new_chunk(20);
        flick_mach3mig_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_mach3mig_array_decode_signed32_type(8, _data->_u.b._length, 1, _long_type);
        flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_mach3mig_array_decode_new_chunk(4);
            flick_mach3mig_array_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter]);
            flick_mach3mig_array_decode_end_chunk(4);
          }
#else /* Always do a bcopy*/
        flick_mach3mig_array_decode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, mach3mig_array);
#endif /* bcopy? */
        flick_mach3mig_decode_end_glob(68);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.c);
        flick_mach3mig_decode_end_chunk(8);
        flick_mach3mig_decode_end_glob(68);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct Foo un_one(un _obj, struct Foo2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct Foo _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(40, a->_d);
    flick_mach3mig_encode_end_chunk(48);
    switch (a->_d)
      {
      case 'a':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 'b':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed16(0, a->_u.y);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 'c':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_corba_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t14_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t14_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t14_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t15_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t15_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t15_switch_tag)
            {
            case '$':
              {
                char _t16_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t16_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t16_switch_tag)
                  {
                  case 'o':
                    {
                      char _t17_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t17_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t17_switch_tag)
                        {
                        case 'n':
                          {
                            char _t18_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t18_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t18_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t19_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t19_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _return._d);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_return._d)
                                                {
                                                case 1:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.x);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 2:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, _return._u.y);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _return._u.z);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct Foo3 un_two(un _obj, struct Foo4 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct Foo3 _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(108);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'w');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a->_d);
    flick_mach3mig_encode_end_chunk(48);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(108);
          flick_mach3mig_encode_longstring(a->_u.a, null_flick_free, mach3mig);
          break;
        }
      case 2:
        {
          unsigned long int _t27_array_iter;

          flick_mach3mig_encode_new_chunk(20);
          flick_mach3mig_encode_unsigned32(0, a->_u.b._length);
          flick_mach3mig_array_encode_signed32_type(8, a->_u.b._length * 1, 1, _long_type);
          flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
          for (_t27_array_iter = 0; _t27_array_iter < a->_u.b._length; _t27_array_iter++)
            {
              flick_mach3mig_array_encode_new_chunk(4);
              flick_mach3mig_array_encode_signed32(0, a->_u.b._buffer[_t27_array_iter]);
              flick_mach3mig_array_encode_end_chunk(4);
            }
#else /* Always do a bcopy*/
          flick_mach3mig_array_encode_bcopy(a->_u.b._buffer, sizeof(long) * a->_u.b._length, mach3mig_array);
#endif /* bcopy? */
          flick_mach3mig_encode_end_glob(108);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.c);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(108);
          break;
        }
      }
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t34_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t34_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t34_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t35_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t35_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t35_switch_tag)
            {
            case '$':
              {
                char _t36_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t36_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t36_switch_tag)
                  {
                  case 't':
                    {
                      char _t37_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t37_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t37_switch_tag)
                        {
                        case 'w':
                          {
                            char _t38_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t38_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t38_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t39_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t39_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed16(0, _return._d);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_return._d)
                                                {
                                                case -1:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, _return._u.a);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 50:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.b);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _return._u.c);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

