#include "simple-decl-1-client.h"

void flick_marshal_stub_one_of_each(flick_marshal_stream_t _stream, const struct one_of_each *_data)
{
  flick_unsigned16_t _t0_array_length;
  flick_unsigned16_t _t2_array_iter;
  unsigned long int _t4_array_iter;
  unsigned long int _t6_array_iter;

  flick_suntcp_encode_new_glob(48);
  flick_suntcp_encode_new_chunk(48);
  flick_xdr_encode_unsigned8(0, _data->my_bool);
  flick_xdr_encode_char8(4, _data->my_char);
  flick_xdr_encode_char8(8, _data->my_unsigned_char);
  flick_xdr_encode_signed32(12, _data->my_int);
  flick_xdr_encode_signed16(16, _data->my_short_int);
  flick_xdr_encode_signed32(20, _data->my_long_int);
  flick_xdr_encode_unsigned32(24, _data->my_unsigned_int);
  flick_xdr_encode_unsigned16(28, _data->my_unsigned_short_int);
  flick_xdr_encode_unsigned32(32, _data->my_unsigned_long_int);
  flick_xdr_encode_float32(36, _data->my_float);
  flick_xdr_encode_float64(40, _data->my_double);
  flick_suntcp_encode_end_chunk(48);
  flick_suntcp_encode_end_glob(48);
  flick_xdr_encode_string(_data->my_bounded_string, null_flick_free, suntcp, 256);
  flick_xdr_encode_longstring(_data->my_unbounded_string, null_flick_free, suntcp);
  _t0_array_length = 256;
  flick_suntcp_encode_new_glob(520);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->my_fixed_opaque[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t4_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(520);
  flick_suntcp_encode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t7_array_length;
  flick_unsigned16_t _t9_array_iter;
  unsigned long int _t11_array_iter;
  unsigned long int _t13_array_iter;

  flick_suntcp_decode_new_glob(48);
  flick_suntcp_decode_new_chunk(48);
  flick_xdr_decode_unsigned8(0, _data->my_bool);
  flick_xdr_decode_char8(4, _data->my_char);
  flick_xdr_decode_char8(8, _data->my_unsigned_char);
  flick_xdr_decode_signed32(12, _data->my_int);
  flick_xdr_decode_signed16(16, _data->my_short_int);
  flick_xdr_decode_signed32(20, _data->my_long_int);
  flick_xdr_decode_unsigned32(24, _data->my_unsigned_int);
  flick_xdr_decode_unsigned16(28, _data->my_unsigned_short_int);
  flick_xdr_decode_unsigned32(32, _data->my_unsigned_long_int);
  flick_xdr_decode_float32(36, _data->my_float);
  flick_xdr_decode_float64(40, _data->my_double);
  flick_suntcp_decode_end_chunk(48);
  flick_suntcp_decode_end_glob(48);
  flick_xdr_decode_string(_data->my_bounded_string, sun_flick_alloc, suntcp, 256);
  flick_xdr_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, suntcp);
  _t7_array_length = 256;
  flick_suntcp_decode_new_glob(520);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < _t7_array_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->my_fixed_opaque[_t9_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t7_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(520);
  flick_suntcp_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t13_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

