#include "union-5-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = prog;
	s.vers_num = vers;

	assert(flick_server_register(s, &prog_2));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->slot_1);
  flick_xdr_encode_signed32(4, _data->slot_2);
  flick_xdr_encode_signed32(8, _data->slot_3);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->slot_1);
  flick_xdr_decode_signed32(4, _data->slot_2);
  flick_xdr_decode_signed32(8, _data->slot_3);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->discriminator);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t3_array_iter;

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->foo_u.one.foo_u_len);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.foo_u_len; _t3_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->foo_u.one.foo_u_val[_t3_array_iter]);
            flick_suntcp_encode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_xdr_encode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, suntcp);
#endif /* ENDIANness */
        flick_suntcp_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_end_glob(408);
        flick_xdr_encode_longstring(_data->foo_u.two, null_flick_free, suntcp);
        break;
      }
    case 3:
      {
        flick_suntcp_encode_new_chunk(12);
        flick_xdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_xdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_xdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_suntcp_encode_end_chunk(12);
        flick_suntcp_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        flick_suntcp_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->discriminator);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t7_array_iter;

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t7_array_iter = 0; _t7_array_iter < _data->foo_u.one.foo_u_len; _t7_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->foo_u.one.foo_u_val[_t7_array_iter]);
            flick_suntcp_decode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_xdr_decode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, suntcp);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_end_glob(408);
        flick_xdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, suntcp);
        break;
      }
    case 3:
      {
        flick_suntcp_decode_new_chunk(12);
        flick_xdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_xdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_xdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_suntcp_decode_end_chunk(12);
        flick_suntcp_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        flick_suntcp_decode_end_glob(408);
        break;
      }
    }
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t23_switch_tag;

    flick_suntcp_decode_new_glob(428);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t23_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t23_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t24_ignore;
            struct foo _t25_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t24_ignore);
            flick_xdr_decode_unsigned32(4, _t24_ignore);
            flick_xdr_decode_unsigned32(8, _t24_ignore);
            flick_xdr_decode_unsigned32(12, _t24_ignore);
            _local_arg = &_t25_storage;
            flick_xdr_decode_signed32(16, _local_arg->discriminator);
            flick_suntcp_decode_end_chunk(20);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  unsigned long int _t29_array_iter;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_unsigned32(0, _local_arg->foo_u.one.foo_u_len);
                  _local_arg->foo_u.one.foo_u_val = auto_flick_alloc(_local_arg->foo_u.one.foo_u_len * sizeof(int ));
                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                  for (_t29_array_iter = 0; _t29_array_iter < _local_arg->foo_u.one.foo_u_len; _t29_array_iter++)
                    {
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_signed32(0, _local_arg->foo_u.one.foo_u_val[_t29_array_iter]);
                      flick_suntcp_decode_end_chunk(4);
                    }
#else /* BIG_ENDIAN - do a bcopy*/
                  flick_xdr_decode_bcopy(_local_arg->foo_u.one.foo_u_val, sizeof(long) * _local_arg->foo_u.one.foo_u_len, suntcp);
#endif /* ENDIANness */
                  flick_suntcp_decode_end_glob(428);
                  break;
                }
              case 2:
                {
                  flick_suntcp_decode_end_glob(428);
                  flick_xdr_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, suntcp);
                  break;
                }
              case 3:
                {
                  flick_suntcp_decode_new_chunk(12);
                  flick_xdr_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_xdr_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_xdr_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_suntcp_decode_end_chunk(12);
                  flick_suntcp_decode_end_glob(428);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(428);
                  break;
                }
              }
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(412);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, _return->discriminator);
                  flick_suntcp_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        unsigned long int _t37_array_iter;

                        flick_suntcp_encode_new_chunk(4);
                        flick_xdr_encode_unsigned32(0, _return->foo_u.one.foo_u_len);
                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                        for (_t37_array_iter = 0; _t37_array_iter < _return->foo_u.one.foo_u_len; _t37_array_iter++)
                          {
                            flick_suntcp_encode_new_chunk(4);
                            flick_xdr_encode_signed32(0, _return->foo_u.one.foo_u_val[_t37_array_iter]);
                            flick_suntcp_encode_end_chunk(4);
                          }
#else /* BIG_ENDIAN - do a bcopy*/
                        flick_xdr_encode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, suntcp);
#endif /* ENDIANness */
                        flick_suntcp_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_suntcp_encode_end_glob(412);
                        flick_xdr_encode_longstring(_return->foo_u.two, null_flick_free, suntcp);
                        break;
                      }
                    case 3:
                      {
                        flick_suntcp_encode_new_chunk(12);
                        flick_xdr_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_xdr_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_xdr_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_suntcp_encode_end_chunk(12);
                        flick_suntcp_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                        flick_suntcp_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  flick_suntcp_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(412);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(428);
          break;
        }
      }
  }
  return 0;
}
